Instrukcja

Koala Film Studio

Instrukcja obsługi


Instalacja programu

Na dysku CD-ROM znajduje się program install.exe, który należy uruchomić w celu zainstalowania oprogramowania Koala Film Studio a następnie postępować według następujących kroków:

  1. Należy zapoznać się z umową licencyjną programu.

  2. Wpisać informacje o użytkowniku takie jak: nazwisko i firma.

  3. Wskazać folder docelowy aplikacji.

  4. Wybrać jeden z trzech rodzajów instalacji:

  • Standardowa - należy ją wybrać w przypadku potrzeby instalacji wszystkich składników instalowanego oprogramowania;

  • Minimalna - należy ją wybrać w przypadku potrzeby instalacji minimalnej ilości składników instalowanego oprogramowania;

  • Własna - należy ją wybrać w celu wybrania tylko wybranych składników - zalecane dla zaawansowanych użytkowników.

W tym rozdziale zostanie opisana ostatnia opcja.

  5. Zostanie pokazane okno z wyborem składników do zainstalowania.

Dostępne składniki:

  • Program Koala Film Studio - program do obróbki nieliniowej obrazu i dźwięku Koala Film Studio.

  • Demo Efektów - program demonstrujący efekty przejść programu Koala Film Studio;

  • Odtwarzacz filmów - program odtwarzający filmy w formacie pliku AVI, MPG, MPEG;

  • Zdjęcia - kilkadziesiąt zdjęć o rozmiarze 720 x 576, które można wykorzystać we własnych filmach;

  • Lekcje - przykładowe lekcje, pozwalające na szybkie zapoznanie się z oferowanymi możliwościami programu;

  • DirectX - biblioteka niezbędna do zainstalowania dla poprawnej pracy programu Koala Film Studio;

  • DxMedia - biblioteka niezbędna do zainstalowania dla poprawnej pracy programu Odtwarzacz filmów;

  6. Należy wskazać nazwę folderu oprogramowania (domyślnie jest to Koala);

  7. Poszczególne składniki będą instalowane. Cały proces może potrwać przez kilka minut. W przypadku, gdy zaznaczono moduł DxMedia oraz DirectX należy zastosować się do następujących wskazówek:

Po zainstalowaniu się biblioteki DxMedia nie należy restartować komputera. Komputer przystąpi do instalowania biblioteki DirectX. W przypadku gdy instalowana wersja jest nowsza, niż poprzednio zainstalowana w systemie, trzeba będzie zrestartować system Windows.


1.1. Przeznaczenie programu Koala Film Studio

Koala Film Studio służy do edycji i generowania filmu techniką nieliniowej obróbki obrazu i dźwięku. Obraz i dźwięk dostarczony do pamięci dyskowej komputera zostaje poddany obróbce polegającej na dodawaniu napisów, przemieszczaniu bądź wycinaniu fragmentów filmu, tworzeniu efektów przejść pomiędzy poszczególnymi wątkami filmu, dopasowaniu lub wycięciu istniejącej ścieżki dźwiękowej i zastąpieniu bądź zmiksowaniu ją z inną w sposób elektroniczny. Wszystkie te czynności wykonuje program Koala Film Studio w sposób możliwie przyjazny dla użytkownika.

Ze względu na złożoność wykonywanych czynności oraz, aby zapis wykonywanych czynności był czytelny dla użytkownika programu, projekty konstruuje się na skali czasu (ang. timeline). Skala czasu to linia z podziałką reprezentująca czas upływający generowanego filmu. Punkt zerowy znajduje się na początku skali i reprezentuje moment, w którym rozpoczyna się odtwarzanie wygenerowanego filmu. Począwszy od punktu zerowego układa się kolejne elementy projektowanego filmu. W miarę upływu czasu na osi czasu będą generowane klatki filmu oraz próbki dźwiękowe bazujące na umieszczonych odcinkach skali, coraz bardziej odległych od punktu zerowego. Aby to wyjaśnić zostanie podany przykład.

Na rysunku poniżej znajduje się oś czasu a poniżej ułożone zostały trzy kolejno znajdujące się po sobie obrazki. Po przygotowaniu (wygenerowaniu) filmu, jego odtwarzanie rozpocznie się od punktu zerowego - oznaczonego na rysunku jako punkt A. Pojawi się pierwszy obrazek. Czas jego trwania jest ustalony na 2 sekundy - taką długość wyznacza koniec pierwszego obrazka a zarazem początek drugiego (punkt B). Drugi obrazek będzie pokazywany przez 3 sekundy - szerokość obrazka jest większa od poprzedniego (patrz punkt C). Ostatni obrazek zostanie pokazany przez trzy sekundy i zakończy się w punkcie D.

Z tak podanego przykładu widać, iż zasada montażu obrazu i dźwięku w programie Koala Film Studio jest stosunkowo prosta. Umiejętne wykorzystanie skali czasu, efektów przejść, wstawienie lub zmiksowanie kilku ścieżek dźwiękowych, umożliwia wygenerowanie skomplikowanych sekwencji filmowych.


1.2. Środowisko pracy.

Lista zasobów.

Gotowy film zawiera w praktyce oprócz ruchomych animacji (fragmenty filmów zapisanych wcześniej na dysk komputera) i dźwięków, elementy statyczne (plansze, rysunki i napisy). W programie Koala Film Studio nazwano je zasobami. Zasobem może być rysunek zapisany w formacie graficznym pliku BMP, JPG, GIF, PTE, animacja AVI, animacja z dźwiękiem AVI lub dźwięk zapisany w pliku WAV.

Lista zasobów wyświetlana jest w osobnym oknie i może przyjmować różne postacie zależne od jego ustawień. Każdy element listy reprezentuje nieruchomy plik graficzny, animację, animację z dźwiękiem lub dźwięk. Na liście wyświetlany jest miniaturowy obrazek tego zasobu. W przypadku obrazka (nieruchomej grafiki) jest to zeskalowany obrazek. W przypadku animacji lub animacji z dźwiękiem jest to pierwsza zeskalowana jej pierwsza klatka a w przypadku dźwięku, ikona symbolizująca dźwięk.

Zasoby listy należy przeciągać za pomocą myszki do okna projektu, w którym stają się elementami składowymi projektowanego filmu. Poszczególne zasoby można także otwierać w osobnych oknach np. w celu wyłapania pojedynczych klatek z animacji, wybrania fragmentu filmu, który ma być użyty w projekcie.

Jeżeli okno jest niewidoczne, należy wybrać opcję Lista zasobów z menu Okno.

Okno projektu.

W programie Koala Film Studio najważniejszym oknem jest Okno projektu, w którym układa się kolejne elementy filmu według wspomnianej skali czasu. Szczegółowy opis zostanie omówiony w kolejnych punktach.

Linia zakresu.

W górnej części okna projektu znajduje się pojedyncza linia zakresu. Jedynym przeznaczeniem tej linii jest określenie początkowego i końcowego odcinka czasu, z którego zostanie wygenerowany film.

W dalszej części dowiemy się, że istnieją jeszcze dwa sposoby definiowania zakresów generowanego filmu.

Sekwencje filmów.

Sekwencje filmów znajdują się w oknie projektu, poniżej linii zakresu - jest to linia sekwencji. Są one rozbudowaną formą definiowania zakresów filmu, z których zostaje wygenerowany film. Oznacza to, że istnieje możliwość wygenerowania filmu, będącego złączeniem kilku odcinków czasu, wyznaczonych przez sekwencje filmu.

Listę sekwencji można znaleźć w oknie Sekwencje filmu. Jeżeli okno to jest ukryte należy wybrać opcję Sekwencje filmu z menu Okno. Oprócz definiowania odcinków czasowych w celu generowania filmu, sekwencje te mogą posłużyć jako przywoływanie poszczególnych fragmentów filmu w oknie projektu. Może to być użyteczne w przypadku tworzenia długich filmów.

Oś czasu.

Względem osi czasu określa się pozycję wszystkich elementów generowanego filmu. W zależności od długości całego filmu i wymaganej dokładności można wybrać dowolną skalę czasu.

Najmniejszą jednostką jest pojedyncza klatka (w systemie PAL jest ona równa długości 1/25 sekundy). W praktyce jednak taka skala może być wykorzystana jedynie w celu dokładnego określenia i rozdzielenia poszczególnych animacji (np. rozdzielenie wątków nagranego wcześniej filmu). Zazwyczaj stosuje się tutaj skalę rzędu pojedynczych sekund.

Warstwy.

Podstawowa część okna projektu to warstwy. Na nich umieszczane są elementy projektu reprezentowane przez bloczki. Szerokość bloczka definiuje odcinek czasowy, w którym pojawi się zasób skojarzony z tym bloczkiem. Np. Aby wybrana animacja była widoczna przez 2 sekundy, należy umieścić w oknie projektu bloczek (przeciągając jeden z istniejących zasobów) na jednej z wybranych warstw. A następnie ustalić jego szerokość na osi czasu odpowiadała dwóm sekundom. Program Koala Film Studio automatycznie przelicza otrzymaną szerokość na sekundy i wyświetla czas trwania na samym bloczku.

Okno projektu zawiera trzy warstwy: V1A, V1B oraz V2. Użytkownik musi zdecydować, którą z tych warstw użyć. Poszczególne elementy projektu nie zawsze występują kolejno po sobie. Często fragmenty poszczególnych elementów nakładają się na siebie np. W czasie, gdy zachodzi potrzeba aby animacja przechodziła płynnie w drugą animację lub by dźwięk łagodnie został ściszony i zmiksowany z drugim, w tym samym czasie zgłośnionym (miksowanie dźwięku).

Pomiędzy warstwą V1A a V1B znajduje się warstwa efektów. Na warstwach V1A i V1B należy umieszczać te elementy projektu, które mają się nakładać w czasie i między, którymi mają następować efekty przejść z użyciem wybranych efektów dwu- i trójwymiarowych. Na przykład, jeżeli zachodzi potrzeba, aby nieruchoma plansza z napisami przeszła łagodnie w ruchomą animację, to należy na jednej warstwie (np. V1A) umieścić bloczek reprezentujący planszę, a na drugiej (w tym wypadku V1B) - bloczek reprezentujący ruchomą animację. Na warstwie efektów automatycznie pojawi się bloczek efektu przejścia. Następnie można wybrać dowolny efekt przejścia (np. przenik).

Warstwa V2 przeznaczona jest do wstawiania plansz z napisami, których tło ma być przezroczyste (kluczowanie) bądź do wstawiania grafiki lub animacji, której poszczególne klatki mają zostać łagodnie nakładane z warstwą V1A lub V1B (regulacja przezroczystości). Wykorzystując różne kombinacje kluczowania, przezroczystości i stosowania efektów przejść, można uzyskać rozmaite efekty takie jak np. kończące się napisy, których tło znika a sam napis oddala się w tle, łagodnie przy tym obracając się.

Warstwa efektów.

Warstwa efektów widoczna jest w oknie projektu pomiędzy warstwami V1A a V1B. Użytkownik nie ma wpływu bezpośrednio na edycję bloczków znajdujących się na tej warstwie, polegających na ich przemieszczaniu bądź zmianie ich szerokości. Parametry te automatycznie wyznaczone są na podstawie bloczków pokrywających się na warstwach V1A oraz V1B. W ten sposób definiowanie samych efektów przebiega sprawniej. Jedyną rzeczą, którą użytkownik może zrobić na tej warstwie jest wybór efektu przejścia między zachodzącymi bloczkami warstw sąsiednich.

Warstwy dźwięku.

Okno projektu zawiera trzy warstwy dźwiękowe: A1, A2 oraz A3. Bloczki umieszczane na tych warstwach skojarzone mogą być jedynie z animacjami z dźwiękiem bądź z samym dźwiękiem. Każdy z bloczków reprezentuje dźwięk lub fragment dźwięku o zadanej długości. Poprzez rozwinięcie warstwy, można obejrzeć próbki dźwięku, a także określić regulację głośności (np. zgłośnienie dźwięku początkowego fragmentu generowanego filmu). W przypadku gdy bloczki z różnych warstw nakładają się na siebie, to nakładające się części zostaną zmiksowane. Można w ten sposób nakładać na siebie kilka ścieżek dźwiękowych i ustalać stosowną dla nich głośność.

Okno podglądu.

W oknie podglądu można oglądać obraz wynikowy generowanego filmu w wybranym punkcie czasowym. Można w ten sposób wstępnie ocenić przygotowany projekt. Sam podgląd można wykonać również z podsłuchem dźwięku wynikowego generowanego filmu. Tak więc zanim rozpocznie się generowanie filmu, można ocenić czy w wybranych fragmentach czasowych została odpowiednio wykonana regulacja głośności, czy też wybrany został odpowiedni fragment animacji czy dźwięku.

Okno własności generowanego filmu.

Okno służy do definiowania parametrów generowanego filmu. Ustalone w nim zostają takie parametry jak: rozmiar pojedynczej klatki filmu, częstotliwość odtwarzania (np. 25 klatek / sekundę), kompresja obrazu, częstotliwość próbek dźwięku, stereo lub mono, nazwa pliku wyjściowego.

Okno generowanie filmu.

Jest to okno podglądowe, które wskazuje aktualny postęp generowanego filmu. Zostaje także wyliczony przybliżony czas zakończenia się całego procesu. Dodatkowo istnieje możliwość podejrzenia aktualnie generowanej klatki filmu.

Okno konfiguracyjne programu.

Definiowane są tutaj parametry dotyczące jakości generowanego filmu. Parametry są uzależnione od posiadanego sprzętu. Dodatkowo można ustalić rodzaj filtrowania np. w celu likwidacji w animacjach przesunięć obrazów parzystych lub nieparzystych.

Moduł Edytora Tekstu.

Za pomocą tego modułu można stworzyć prostą, użyteczną planszę w napisami. Ze względu na przyjazny interfejs, wykonanie nowej planszy zajmuje bardzo niewiele czasu. Wykorzystane przy tym mogą być czcionki zainstalowane w systemie Windows.


2. Rozpoczęcie pracy.

Ten rozdział opisuje typowe operacje, wykonywane podczas rozpoczęcia pracy nad nowym projektem.


2.1. Podstawowe operacje na projektach.

W projekcie programu Koala Film Studio zapisane są następujące informacje:

  • zapis wszystkich elementów projektu, z których poukładane są kolejne fragmenty generowanego filmu;

  • elementy listy zasobów zastosowane w oknie projektu;

  • niektóre opcje programu (np. parametry konfiguracyjne programu).

Projekty zapisywane są w plikach z rozszerzeniem PFS. Należy zaznaczyć, że sam projekt nie zawiera samych zasobów (obrazków, animacji, dźwięków), a jedynie ścieżki dostępu do nich. Zatem do późniejszego wygenerowania filmu, oprócz pliku projektu, niezbędne jest posiadanie zasobów użytych w oknie projektu.

Tworzenie nowego projektu.

W celu utworzenia nowego projektu należy:

  • wybrać polecenie Nowy z menu Plik;

  • albo kliknąć lewym klawiszem myszki w ikonkę [image] znajdującą się na pasku narzędzi.

Uwagi:

Jeżeli w programie otwarty był wcześniej inny, niezapisany projekt, to zostanie wyświetlone okienko przypominające o nie wykonaniu tej czynności.

Otwieranie projektu.

W celu otwarcia wcześniej zapisanego projektu należy:

a) wykonać jedną z czynności:

  • wybrać polecenie Otwórz z menu Plik;

  • kliknąć lewym klawiszem myszki nad ikonką [image] ;

  • wybrać polecenie Otwórz projekt z menu kontekstowego okna projektu.

b) Otwarte zostanie okno Otwórz plik projektu Koala Film Studio. Należy wybrać plik z rozszerzeniem PFS.

Uwagi:

Jeżeli przy próbie otwarcia projektu na ekranie pojawią się komunikaty o braku plików z zasobami, to najprawdopodobniej jeden z plików z zasobami lub sam plik projektu został przeniesiony w do innego folderu bez pozostałych albo też jeden z nich został skasowany. Aby uniknąć podobnych sytuacji, należy zapoznać się z punktem "Przenoszenie projektów".

Jeden z kilku otwartych plików można otworzyć bezpośrednio z menu Plik. Ich nazwy wyświetlane są jako dodatkowe opcje menu.

Zapisywanie projektu.

W celu zapisania projektu na dysk należy wykonać jedną z następujących czynności:

  • wybrać polecenie Zapisz projekt z menu Plik;

  • kliknąć lewym klawiszem myszki nad ikonką [image] znajdującą się na pasku narzędzi;

  • wybrać polecenie Zapisz Projekt z menu kontekstowego okna projektu.

W przypadku, gdy projekt jest zapisywany po raz pierwszy, program poprosi o podanie nazwy i lokalizacji pliku PFS.

Uwaga:

W celu zapisania projektu pod inną nazwą, należy wybrać polecenie Zapisz Projekt jako z menu Plik lub z menu kontekstowego okna projektu.

Przenoszenie projektów.

Plik projektu zawiera informacje o lokalizacji użytych w projekcie plików - zasobów. Lokalizacje te są zapisywane względem pliku projektu. Na przykład, jeżeli projekt zapisany jest w pliku C:\Projekty\Pierwszy.PFS, a zasoby w folderze C:\Projekty\Grafika, to można przenieść projekt w inne miejsce, zachowując tylko strukturę katalogów względem pliku projektu PFS. I tak, aby przenieść cały projekt do folderu D:\Archiwum, należy przenieść plik projektu Pierwszy.PFS do D:\Archiwum oraz folder C:\Projekty\Grafika do D:\Archiwum. Można teraz odczytać projekt D:\Archiwum\Pierwszy.PFS.


2.2. Przygotowanie zasobów - lista zasobów.

Lista zasobów może zawierać pliki graficzne (BMP, JPG, GIF lub PTE), animacje (AVI), animacje z dźwiękiem (AVI) bądź dźwięki (WAV). Przed rozpoczęciem pracy nad projektem, należy umieścić pliki, które będą niezbędne w celu przygotowania filmu.

Dodawanie zasobów do listy.

W celu umieszczenia nowych zasobów:

a) Należy wykonać jedną z następujących czynności:

  • wybrać polecenie Otwórz zasoby z menu Plik;

  • kliknąć lewym klawiszem myszki nad ikoną [image] znajdującą się na pasku narzędzi;

  • wybrać polecenie Otwórz zasoby z menu kontekstowego listy zasobów.

b) Otwarte zostanie standardowe okno, w którym należy wybrać plik bądź kilka plików (aby wybrać c) W czasie ładowania zasobów, w dolnej części głównego okna aplikacji będzie widoczny pasek postępu, wskazujący aktualny stan ładowania zasobów.

kilka plików należy wcisnąć i przytrzymać klawisz CTRL oraz kliknąć lewym klawiszem myszki w kolejne nazwy plików).

Uwagi:

Bezpośrednio po załadowaniu wcześniej zapisanego projektu, lista zasobów będzie zawierać jedynie zasoby użyte w oknie projektu. Jeżeli wcześniej umieszczono inne zasoby, nieużyte w projekcie, to nie zostaną ponownie wprowadzone do listy zasobów.

Ustalanie parametrów listy zasobów.

Każda z pozycji listy zasobów podzielona jest na dwie części: na ikonkę i opis. W przypadku obrazka ikonka zawiera eskalowaną grafikę. Jeżeli jest to animacja bądź animacja z dźwiękiem, to jest ona zeskalowaną pierwszą klatką. Dla dźwięku ikonka przedstawia symbolicznie próbki dźwięku. Część opisowa zawiera takie informacje jak nazwa pliku, typ zasobu (obrazek, animacja, animacja z dźwiękiem, dźwięk), rozdzielczość, parametry dźwięku, rozmiar pliku. Podany jest także czas. Bezpośrednio po załadowaniu zasobu podany jest jego rzeczywisty czas odtwarzania (animacja, animacja z dźwiękiem lub dźwięk). Po umieszczeniu go w oknie projektu, wskazany czas równy jest długości bloczka na osi czasu.

Kolejność poszczególnych pozycji można ustalić po otwarciu menu kontekstowego listy zasobów następująco:

  • wybrać polecenie Sortuj wg nazwy - pozycje zostaną posortowane alfabetycznie według nazwy plików;

  • wybrać polecenie Sortuj wg osi czasu - pozycje zostaną posortowane według kolejności występowania na osi czasu w oknie projektu.

Można też wykonać sortowanie klikając w górnej części listy zasobów nagłówek Nazwa (sortowanie alfabetyczne według nazw plików) lub Pozycje (sortowanie według kolejności występowania na osi czasu w oknie projektu).

W zależności od potrzeb można dostosować rozmiar poszczególnych pozycji. Zmieniając rozmiar pozycji, można uzyskać ikonki o większej czytelności oraz bardziej szczegółowy opis. Jednak im więcej będzie widocznych szczegółów, tym mniej pozycji zostanie wyświetlonych na liście zasobów. W celu zmiany rozmiaru pozycji, należy otworzyć menu kontekstowe listy zasobów i wybrać jedną z opcji:

  • Bardzo małe ikony;

  • Małe ikony;

  • Średnie ikony;

  • Duże ikony.

W zależności od potrzeb można skasować zaznaczone, nieużyte w oknie projektu lub wszystkie pozycje listy. Kasowanie odbywa się za pomocą klawisza DELETE, po uprzednim zaznaczeniu wybranych pozycji (aby zaznaczyć kilka pozycji należy wcisnąć i przytrzymać klawisz CTRL a następnie klikać lewym klawiszem myszki w wybrane pozycje listy), bądź wybraniu z menu kontekstowego jednej z opcji:

  • Kasuj zaznaczone - skasowane zostaną tylko zaznaczone pozycje;

  • Kasuj nieużyte zasoby - skasowane zostaną tylko zasoby nieużyte w oknie projektu;

  • Kasuj wszystko - zostanie skasowana cała lista.

Uwaga:

W przypadku próby kasowania zasobów użytych w oknie projektu, przed ich skasowaniem program poprosi o potwierdzenie użytkownika o chęci ich skasowania. Po akceptacji użytkownika, kolejno zostaną usunięte wszystkie bloczki skojarzone z kasowanym zasobem.


2.3. Okno zasobu.

Zasoby, które są animacjami, animacjami z dźwiękiem bądź obrazkami, można otworzyć w pojedynczych oknach zasobu. Może się zdarzyć, że potrzebna będzie pojedyncza klatka z animacji zapisana jako obrazek (np. przy tworzeniu efektu stop-klatki). Albo trzeba będzie rozdzielić jeden z półobrazów pojedynczej klatki lub skopiować wybraną klatkę do schowka. Takie czynności można zrobić w oknie zasobu. W celu otwarcia okna zasobu należy wykonać następujące czynności:

a) zaznaczyć pozycje z listy zasobów, które mają zostać otwarte (aby zaznaczyć kilka zasobów jednocześnie należy przytrzymać klawisz CTRL oraz kolejno klikać lewym klawiszem myszki w kolejne pozycje listy zasobów);

b) wybrać polecenie Otwórz zaznaczone [image] z menu kontekstowego listy zasobów bądź kliknąć lewym klawiszem myszki nad ikoną znajdującą się na pasku narzędzi. Można także wybrać polecenie Otwórz media z menu Plik a następnie wskazać z dysku wybrane pliki.

Po otwarciu okna zasobu, można (jeżeli jest to animacja lub animacja z dźwiękiem) za pomocą suwaka wybrać dowolną klatkę animacji.

Po otwarciu menu kontekstowego dostępne są następujące opcje:

  • Kopiuj do schowka - kopiowanie zawartości okna do schowka;

  • Wklej ze schowka - wklejenie zawartości schowka do okna;

  • Utwórz duplikat - utworzenie okna zasobu będącego kopią aktualnego okna zasobu;

  • Zapisz jako - zapisanie zawartości okna jako plik BMP, JPG lub GIF;

  • Rozmiar 2:1 - powiększenie 200% oryginalnego rozmiaru obrazka, bądź pojedynczej klatki;

  • Rozmiar 1:1 - brak powiększenia;

  • Rozmiar 1:2 - pomniejszenie 50%;

  • Rozmiar 1:4 - pomniejszenie 25%;

  • Oba półobrazy - okno zawiera wszystkie (parzyste i nieparzyste) linie oryginalnego obrazka, bądź pojedynczej klatki (stan domyślny okna);

  • Nieparzysty półobraz - okna zawiera tylko nieparzyste linie;

  • Parzysty półobraz - okno zawiera tylko parzyste linie.

W przypadku animacji i animacji z dźwiękiem, po wybraniu dowolnej klatki, utworzeniu duplikatu oraz zapisaniu go na dysk, można przenieść klatkę do listy zasobów. Następnie można ją użyć w oknie projektu. Lekcja 9 w podręczniku Lekcje Koala Film Studio ilustruje przykład wykonania takiej czynności.


2.4. Okno odtwarzacza.

Okno odtwarzacza przeznaczone jest do odtwarzania animacji, animacji z dźwiękiem oraz dźwięków. Służy także do wstępnego określenia fragmentu takiego zasobu, który później ma znaleźć się w oknie projektu. Na przykład, jeżeli potrzebujemy wybrać końcowy fragment animacji o długości 10 sekund, której całkowity czas trwania jest równy 5 minut, to wystarczy odpowiednio zaznaczyć końcowy fragment animacji za pomocą znaczników, a następnie przenieść ten fragment do okna projektu. Gdyby przenieść animację bezpośrednio z listy zasobów do okna projektu, trzeba by było poruszać się na osi czasu o długości 5 minut, wyskalować odpowiednio skalę czasu, a następnie wykonać rozcięcia bloczka i skasowania pierwszego, nowo powstałego bloczka. Wydaje się, że okno odtwarzacza skróci czas wykonywania takiej czynności.

Aby otworzyć okno podglądu należy:

a) zaznaczyć wybraną pozycję z listy zasobów (musi to być animacja, animacja z dźwiękiem, bądź dźwięk);

b) dwukrotnie kliknąć lewym klawiszem myszki nad częścią opisową.

Znaczenie przycisków okna odtwarzacza:

  • Przewiń więcej do tyłu - przewinięcie wstecz o około 1-dną sekundę;

  • Przewiń do tyłu - przewinięcie wstecz o minimalną jednostkę czasu stosowną dla danego zasobu;

  • Przewiń do przodu - przewiń do przodu o minimalną jednostkę czasu stosowną dla danego zasobu;

  • Przewiń więcej do przodu - przewiń do przodu o około 1-dną sekundę;

  • Zaznacz początek - zaznacz początek fragmentu zasobu;

  • Zaznacz koniec - zaznacz koniec fragmentu zasobu;

  • Odtwarzaj - odtwarzaj w czasie rzeczywistym, począwszy od pozycji wskazanej przez suwak;

  • Odtwarzaj zaznaczony fragment - odtwarzaj w czasie rzeczywistym, począwszy od znacznika Początek fragmentu;

  • Wstrzymaj - wstrzymaj odtwarzanie;

  • Zatrzymaj lub przewiń do początku - zatrzymaj odtwarzanie lub w przypadku zatrzymania, przesuń suwak na początek.

Po prawej stronie przycisków znajduje się suwak za pomocą, którego można wskazać pozycję podglądu animacji. W przypadku zaznaczenia fragmentu zasobu, pokazane zostają dwa znaczniki określające odcinki czasowe zaznaczonego fragmentu.

Poniżej wyświetlane są cztery wartości, które określają:

  • rzeczywisty czas trwania zosobu (górny od lewej);

  • pozycję suwaka (dolny od lewej);

  • czas trwania zaznaczonego fragmentu;

  • pozycja znacznika Początek fragmentu.

Zaznaczony fragment można przenieść do okna projektu. W tym celu należy:

a) najechać kursorem myszki nad górną częścią okna (podgląd obrazu);

b) kliknąć i przytrzymać lewy klawisz myszki;

c) przeciągnąć kursor myszki nad wybraną warstwę okna projektu;

d) zwolnić klawisz myszki.


2.5. Przygotowanie okna projektu.

Przed przystąpieniem do tworzenia projektu można dostosować okno projektu, tak aby stworzyć możliwie wygodne środowisko pracy. Przedstawione zmiany ustawień okna projektu należy także wykonywać w trakcie edycji projektu zależnie od potrzeb.

Skalowanie osi czasu.

Skala osi czasu powinna zostać dobrana w ten sposób, aby możliwe było precyzyjne umieszczanie elementów projektu na poszczególnych warstwach oraz jednocześnie nie trzeba było wykonywać zbyt częstego przewijania okna projektu. W tym celu należy wykonać następujące czynności:

  • kliknąć w ikonę Wybór skali [image] znajdującą się w górnej, lewej części okna projektu lub otworzyć menu kontekstowe okna projektu i rozwinąć podmenu Skala;

  • pojawi się menu z różnymi jednostkami skali czasu. Należy wybrać tę, która ma obowiązywać na osi czasu;

  • w przypadku, gdy aktywne jest okno projektu, można zmieniać skalę poprzez wciskanie klawisza "+" lub "-".

Należy też wybrać opcję Przyklejanie obiektów [image] , której ikonka znajduje się w lewej, górnej części okna projektu w celu automatycznego przyklejania się bloczków. Ułatwia to dorównywanie krawędzi sąsiednich bloczków.

Dodatkowo można także określić sposób opisu skali czasu. W tym celu należy otworzyć menu kontekstowe okna projektu, rozwinąć opcję Podziałka i wybrać jedno z następujących poleceń:

SMPTE - opis w postaci: H:MM:SS:KL, gdzie H - godziny, MM - minuty, SS - sekundy i KL - klatki;

  • Klatki - kolejna numeracja klatek począwszy od zera w górę;

  • Czas - opis w postaci: H:MM:SS:SE, gdzie H - godziny, MM - minuty, SS - sekundy i SE - setne sekundy.


3. Dodawanie zasobów i bloczków pomocniczych do projektu.

Projekt definiuje opis czynności, jakie komputer musi wykonać w celu wygenerowania poszczególnych klatek filmu oraz próbek dźwięku na wcześniej zarejestrowanych animacjach, animacjach z dźwiękiem oraz dźwiękiem. W programie Koala Film Studio projekt zapisywany jest w formie graficznej w oknie projektu. Każdy element projektu reprezentowany jest na ekranie przez bloczek. Jego długość odpowiada czasowi przez jaki będzie widoczny. Dla ułatwienia, czas ten wyświetlany jest na samym bloczku, oprócz nazwy pliku skojarzonego z tym bloczkiem. W tym rozdziale zostaną omówione sposoby dodawania elementów do projektu, edycja bloczków polegająca na przemieszczaniu, usuwaniu oraz na zmianie ich długości.


3.1. Dodawanie bloczków pomocniczych.

Czasami istnieje konieczność wstawienia bloczka zastępującego grafikę wypełnioną jednolitym kolorem. Na przykład, przy tworzeniu początkowego fragmentu filmu zachodzi potrzeba ukazania animacji w sposób płynny z ciemnego ekranu. Najlepiej z zastosowaniem efektu przejścia o nazwie "przenik". W takim przypadku trzeba by utworzyć obrazek i wypełnić go czarnym kolorem, wstawić do listy zasobów, a następnie przeciągnąć do okna projektu. Program Koala Film Studio wyręcza użytkownika od takich żmudnych czynności, oferując bezpośrednie wstawianie bloczków jednolitego koloru w oknie projektu. W tym celu należy wykonać następujące czynności:

  • umieścić kursor nad jedną z warstw V1A, V1B lub V2;

  • kliknąć dwukrotnie lewym klawiszem myszki;

  • zostanie pokazane menu:

  • należy wybrać jedną z trzech dostępnych opcji.

Uwagi:

Polecenie Wybierz jednolity kolor niebieski oraz Wybierz jednolity kolor różowy służy do natychmiastowego wstawienia bloczka w kolorze niebieskim lub różowym. Jeżeli zachodzi potrzeba wybrania innego koloru, należy wybrać polecenie Wstaw jednolity kolor użytkownika. Otwarte zostanie okno Wybór koloru, w którym można wybrać dowolny kolor.

Na wybranej warstwie pojawi się bloczek reprezentujący grafikę o jednolitym kolorze wypełnienia. Na samym bloczku zostanie narysowany kwadrat w wybranym kolorze.


3.2. Dodawanie grafiki.

Ponieważ często w projekcie zachodzi potrzeba wstawienia planszy z napisami bądź obrazka z nieruchomą grafiką, trzeba umieścić obrazek w oknie projektu. W tym celu należy:

  • załadować do listy zasobów wymagane obrazki (o ile wcześniej nie zostało to zrobione);

  • umieścić kursor myszki nad ikoną w liście zasobów, reprezentującą obrazek (w miejscu dozwolonym, kursor myszki przyjmie kształt rączki);

  • kliknąć i przytrzymać lewy klawisz myszki;

  • przeciągnąć obrazek poprzez przemieszczenie kursora myszki na jedną z warstw okna projektu;

  • zwolnić lewy klawisz myszki.

Na wybranej warstwie zostanie pokazany bloczek, reprezentujący przeciągnięty obrazek. Można teraz zmienić jego rozmiar, położenie za pomocą myszki. Czynności te opisane zostaną w dalszych punktach.

Uwagi:

Na warstwy V1A, V1B, V2, A1, A2 oraz A3 można wstawiać obrazki, animacje, animacje z dźwiękiem. Nie w każdym punkcie na osi czasu można jednak wstawić taki bloczek. O tym, czy można wstawić bloczek na wskazanym punktem, informuje użytkownika kształt kursora myszki:

  • oznacza, że można go wstawić;

  • oznacza, że nie można wstawić i należy przemieścić kursor myszki w inną pozycję.


3.3. Dodawanie animacji, animacji z dźwiękiem oraz dźwięku.

Oprócz pojawienia się nieruchomych plansz z napisami i grafiką istotną rolę pełni animacja i dźwięk. Aby w wygenerowanym filmie pojawiła się animacja, animacja z dźwiękiem lub dźwięk, należy wykonać następujące czynności:

  • załadować do listy zasobów animacje i dźwięki, które należy wstawić do projektu (o ile wcześniej nie zostały załadowane);

  • umieścić kursor myszki nad ikoną animacji lub dźwięku w liście zasobów;

  • przycisnąć i przytrzymać lewy klawisz myszki;

  • przeciągnąć animację lub dźwięk na wybraną warstwę w oknie projektu;

  • zwolnić lewy klawisz myszki.

Na wybranej warstwie zostanie pokazany:

a) bloczek reprezentujący animację (na warstwie V1A, V1B lub V2);

b) bloczek reprezentujący dźwięk (na warstwie A1, A2 lub A3);

c) bloczek reprezentujący animację (na warstwie V1A, V1B lub V2) oraz dźwięk (na warstwie A1, A2 lub A3).

W przypadku, gdy przeciągniętym zasobem jest animacja z dźwiękiem, nowo powstałe bloczki animacji i dźwięku zostają zsynchronizowane. Oznacza to, że jakiekolwiek przesunięcie lub zmiana długości jednego z bloczków, pociąga za sobą automatycznie wykonanie takiej samej czynności z drugim bloczkiem. W przeciwnym wypadku zostałby przesunięty dźwięk względem animacji. Można jednak na życzenie rozsynchronizować te bloczki. W tym celu należy wykonać następujące czynności:

  • umieścić kursor nad jednym z zsynchronizowanych bloczków;

  • otworzyć menu kontekstowe okna projektu;

  • wybrać polecenie Rozłącz animację i dźwięk;

  • bloczki zostaną rozsynchronizowane.

Zmieniając długość bloczka animacji bądź dźwięku zostaje obcięty jego końcowy fragment. A jak obciąć początek animacji lub dźwięku ? Program Koala Film Studio umożliwia rozcinanie bloczków bezpośrednio w oknie projektu. W tym celu należy:

  • wybrać odpowiednią skalę okna projektu (np. 1 ramka);

  • umieścić kursor nad oknem projektu;

  • otworzyć menu kontekstowe okna projektu i wybrać opcję Cięcie bloczka na dwie części;

  • pojawi się kursor [image] ;

  • wskazać kursorem myszki miejsce, w którym należy rozciąć bloczek na dwie części;

  • przycisnąć lewy klawisz myszki i zwolnić go;

  • oba bloczki zostają rozcięte na dwie części. Można jeden z nich np. wyciąć.

W ten sposób można rozcinać bloczek, ale nie wiadomo dokładnie, czy zostaje on rozcięty we właściwym miejscu. Koala Film Studio umożliwia wyświetlenie kolejnych klatek animacji w oknie projektu. Aby to uczynić należy:

  • otworzyć menu kontekstowe okna projektu;

  • wybrać polecenie Pokaż / ukryj klatki animacji;

  • bloczek zamieni się w ciąg kolejno występujących po sobie klatek.

W przypadku dźwięku Koala Film Studio oferuje dwa rodzaje pomocy:

a) wizualizację próbek dźwiękowych - należy w tym celu:

  • najechać kursorem myszki nad jedną z warstw A1, A2 lub A3, na której znajduje się bloczek audio;

  • dwukrotnie kliknąć lewym klawiszem myszki;

  • pojawi się menu, z którego należy wybrać polecenie Wykres;

  • odpowiednia wybrana skala pozwala wychwycić pozycję na osi czasu, w której dźwięk jest ściszony i w których można rozciąć bloczek;

b) podsłuch dźwięku w dowolnej pozycji na osi czasu - aby go uzyskać należy:

  • najechać kursorem myszki nad osią czasu;

  • kliknąć i przytrzymać lewy klawisz myszki;

  • na osi czasu pojawi się suwak wskazujący pozycję podsłuchu;

  • przeciągając kursor myszki w prawo i w lewo otrzymamy podsłuch dźwięku w zadanej pozycji na osi czasu.


3.4. Przemieszczanie i kopiowanie elementów projektu.

Elementy projektu można swobodnie przemieszczać w dowolne miejsce na tej samej warstwie lub na innej. Podczas przemieszczania elementów projektu, istotny wpływ ma stan przycisku Przyklejanie obiektów. Jeżeli przycisk ten jest wciśnięty, to przesuwany element jest automatycznie przyklejany do innych elementów projektu, znajdujących się w pobliżu jego lewej lub prawej krawędzi. Dzięki temu umieszczenie dwóch elementów bezpośrednio po sobie tak, aby pomiędzy nimi nie było nawet najmniejszej przerwy, nie sprawia żadnych trudności. Oczywiście też program nie pozwala na to, aby bloczki zachodziły na siebie.

Program Koala Film Studio oferuje dwa sposoby przemieszczania elementów projektu poprzez przeciąganie oraz za pośrednictwem schowka.

Przeciąganie elementów projektu.

Pierwszy sposób jest najbardziej odpowiedni w celu przemieszczenia elementu bądź kilku elementów projektu na stosunkowo niewielkiej odległości na osi czasu oraz przemieszczeniu ich pomiędzy warstwami. Aby przemieścić pojedynczy element projektu, należy wykonać następujące czynności:

  • umieścić kursor myszki nad bloczkiem, który trzeba przemieścić;

  • nacisnąć i przytrzymać lewy klawisz myszki;

  • przeciągnąć bloczek w dowolne miejsce na tej samej lub innej warstwie. Można też spróbować przemieścić go poza obszar okna projektu. W takim przypadku okno projektu zostanie automatycznie przewinięte (oś czasu zostanie stosownie przesunięta);

  • zwolnić lewy klawisz myszki.

W celu przemieszczenia grupy bloczków należy;

a) zaznaczyć bloczki, które mają zostać przesunięte. Można to zrobić następująco:

    • nacisnąć i przytrzymać klawisz CTRL i kolejno klikać lewym klawiszem myszki w wybrane bloczki;

    • nacisnąć i przytrzymać klawisz SHIFT, kliknąć pierwszy i ostatni element z grupy kolejno występujących po sobie bloczków na tej samej warstwie;

b) nacisnąć i przytrzymać lewy klawisz myszki (wcześniej należy przytrzymać klawisz CTRL lub SHIFT);

c) przeciągnąć bloczki w dowolne miejsce na tej samej bądź innej warstwie. Jeżeli zostaną one przemieszczone poza obszar okna projektu, to automatycznie to okno zostanie przewinięte (oś czasu zostanie stosownie przesunięta);

d) zwolnić lewy klawisz myszki.

Kopiowanie i przemieszczanie elementów projektu za pośrednictwem schowka.

Opisana funkcja nadaje się do szybkiego powielania projektu na przykład w celu wygenerowania filmu ze slajdów. Także nadaje się do przemieszczania elementu bądź grupy elementów na odległe miejsce na osi czasu. W celu skopiowania grupy elementów projektu należy:

  • zaznaczyć bloczki, które należy przemieścić;

  • wybrać polecenie Kopiuj z menu Edycja lub kliknąć w ikonę Kopiowanie zaznaczonych elementów do schowka [image];

  • wybrać polecenie element Wklej z menu Edycja lub kliknąć w ikonę Wklejenie zaznaczonych elementów ze schowka [image] . Wskaźnik myszki przyjmie postać strzałki z przyklejonym dokumentem [image] , co oznacza możliwość wklejenia grupy elementów. Wskaźnik myszki może też przyjąć kształt blokady [image] co oznacza, że we wskazanym miejscu przez kursor, nie można umieścić grupy elementów;

  • kursorem myszki wskazać miejsce, gdzie mają zostać umieszczone elementy ze schowka. W razie potrzeby należy przewinąć okno projektu wciskając klawisze kursora w prawo lub w lewo;

  • kliknąć lewym klawiszem myszki w wybranym miejscu;

  • usunąć elementy, które zostały kopiowane poprzednio do schowka.


3.5. Usuwanie elementów projektu.

Kasowanie pojedynczego elementu projektu należy wykonać następująco:

  • zaznaczyć wybrany bloczek lewym klawiszem myszki;

  • nacisnąć klawisz DELETE lub kliknąć lewym klawiszem myszki w ikonę Kasowanie zaznaczonych elementów [image] albo wybrać polecenie Kasuj z menu Edycja.

W celu usunięcia grupy elementów projektu należy:

  • zaznaczyć bloczki, które mają zostać usunięte (za pomocą lewego klawisza myszki i przytrzymania wciśniętego klawisza CTRL lub SHIFT);

  • nacisnąć klawisz DELETE lub kliknąć lewym klawiszem myszki w ikonę Kasowanie zaznaczonych elementów [image] albo wybrać polecenie Kasuj z menu Edycja.

Istnieje także możliwość jednoczesnego wykasowania wszystkich elementów projektu. W tym celu należy otworzyć menu kontekstowe okna projektu i wybrać polecenie Kasuj wszystko. Zostanie pokazane okno, w którym użytkownik musi potwierdzić o zamiarze usunięcia wszystkich elementów projektu tak, aby wykasowanie nie nastąpiło przypadkowo.


3.6. Rozciąganie i skracanie elementów projektu.

Rozciąganie i skracanie bloczków powoduje wydłużenie lub skrócenie czasu trwania zasobu z nim skojarzonego. Operacjom tym podlegają wszystkie elementy projektu tzn. obrazki, animacje, animacje z dźwiękiem i dźwięki. Jedyne ograniczenie dotyczy rozciągania animacji, animacji z dźwiękiem i dźwięku, wynikające z rzeczywistej długości trwania wspomnianych zasobów. Bloczek nie może zostać rozciągnięty na szerokość większą, niż rzeczywista długość trwania zosobu z nim skojarzonego.

W celu rozciągnięcia bądź skrócenia elementu projektu należy:

  • najechać kursorem myszki nad lewą lub prawą krawędzią bloczka;

  • gdy kursor myszki przyjmie kształt [image] , nacisnąć i przytrzymać lewy klawisz myszki;

  • rozciągnąć lub skrócić bloczek, przesuwając wskaźnik myszki w prawo lub w lewo;

  • zwolnić lewy klawisz myszki.

Jeżeli aktywna jest opcja Przyciąganie obiektów, to krawędzie będą przyciągane do krawędzi sąsiednich bloczków.


4. Wstawianie efektów przejść.

Rozdział ten opisuje efekty przejść, będące jednym z istotniejszych elementów projektu.

Zastosowanie efektów przejść jest potrzebne tam, gdzie następuje przejście jednego obrazu w drugi, np. planszy za napisem tytułowym w ruchomą animację. Program Koala Film Studio oferuje bardzo dużo efektów dwu- i trójwymiarowych. Nie zostaną tu opisane dostępne efekty, ponieważ najlepiej jest je obejrzeć bezpośrednio w oknie Wybór efektu przejścia. Należy zaznaczyć, że rożne efekty mogą być bardziej lub mniej atrakcyjne w zależności od użytego materiału. Dlatego należy wypróbować kilka efektów bezpośrednio w oknie projektu, wykonując podgląd.


4.1. Dodawanie efektu przejścia.

Efekty przejść mogą występować pomiędzy warstwami V1A i V1B, na których znajdują się bloczki. Bloczki te muszą nachodzić na siebie tzn. bloczki muszą być tak umieszczone, aby koniec pierwszego zachodził częściowo na początek drugiego. Im większe będzie pokrycie, tym efekt będzie trwał dłużej. Użytkownik nie ma bezpośredniego wpływu na zamianę długości bloczka efektu przejścia na warstwie efektów. Jeżeli zachodzi potrzeba zmiany długości jego trwania, to należy zmienić położenie bloczków względem siebie albo zmienić rozmiar jednego z nich.

Po umieszczeniu dwóch bloczków na warstwie V1A i V1B tak, aby częściowo się pokrywały. Na warstwie efektów pojawi się automatycznie bloczek efektu przejścia. W ten sposób z użytkownika zostaje zdjęty ciężar operowania bloczkami z warstwy efektów przejść.


4.2. Zmiana istniejącego efektu przejścia.

Po pojawieniu się nowego bloczka efektu przejścia, zostaje przyporządkowany domyślny efekt przejścia. Aby go zmienić należy:

  • najechać kursorem myszki nad bloczkiem efektu przejścia;

  • dwukrotnie kliknąć lewym klawiszem myszki;

  • zostanie otwarte okno Wybór efektu przejścia, na którym lewa część zawiera podgląd aktualnie wybranego efektu, natomiast prawa część zawiera drzewko grup i nazw poszczególnych efektów przejść;

  • wybrać odpowiedni efekt;

  • opcjonalnie zaznaczyć Odwrotne wykonywanie efektu;

  • przycisnąć klawisz Akceptuj.

Uwaga:

Okno Wybór efektu przejścia wykonuje podgląd aktualnie wybranego efektu przejścia o szybkości ustalonej przez bloczek efektu. Regulując pośrednio jego długość, można sprawdzić czy jest ona odpowiednia dla zadanego efektu. W praktyce długość tych bloczków ustala się od 1-dnej do 3-ch sekund.


5. Regulacja przezroczystości i kluczowanie.

Warstwa V2 przeznaczona jest do wstawiania plansz z napisami, których tło ma być przezroczyste (kluczowanie) bądź do wstawiania grafiki lub animacji, której poszczególne klatki mają zostać łagodnie nakładane z warstwą V1A lub V1B (regulacja przezroczystości). Wykorzystując różne kombinacje kluczowania, przezroczystości i stosując efekty przejść, można uzyskać rozmaite efekty takie, jak kończące się napisy, których tło znika, a sam napis oddala się w tle, łagodnie przy tym obracając się.


5.1. Regulacja przezroczystości.

Niekiedy zachodzi potrzeba łagodnego nałożenia nieruchomej grafiki na tle ruchomej animacji. Na przykład, plansza z napisami ma się łagodnie nałożyć z animacją, pojawiając się coraz wyraźniej. Po kilku sekundach powinna łagodnie zostać wygaśnięta. W tym celu należy wykonać następujące czynności:

  • umieścić na warstwie V1A lub V1B ruchomą animację;

  • umieścić obrazek na warstwie V2;

  • umieścić kursor myszki nad bloczkiem z warstwy V2;

  • kliknąć dwukrotnie lewym klawiszem myszki;

  • wyświetlić wykres z regulacją przezroczystości, poprzez wybranie polecenia Wykres;

  • najechać kursorem myszki nad czerwoną linią;

  • kliknąć i przytrzymać lewy klawisz myszki;

  • pojawi się nowy, czerwony kwadrat, który można przeciągnąć w dowolne miejsce;

  • powstałe linie definiują poziom przezroczystości dla dowolnego miejsca na osi czasu. Pozycja dolna oznacza całkowitą przezroczystość warstwy V2, a pozycja górna oznacza całkowite zasłonięcie warstw V1A oraz V1B.

W celu uzyskania efektu z wspomnianego przykładu, należy wyznaczyć linie w kształcie trapezu.

Inny przykład zastosowania regulacji przezroczystości można znaleźć w Lekcji 10 w podręczniku Lekcje Koala Film Studio.


5.2. Kluczowanie.

W przypadku gdy zachodzi potrzeba umieszczenia napisów na tle grafiki bądź ruchomej animacji, należy wykorzystać kluczowanie. Kluczować można na dwa sposoby:

  • w wybrany kolor na warstwie V2 można wpisywać obraz wynikowy warstw V1A i V1B;

  • w wybrany kolor obrazu wynikowego warstw V1A i V1B można wpisywać obraz warstwy V2.

W celu ustalenia kluczowania należy:

  • umieścić grafikę na warstwie V2;

  • umieścić kursor myszki nad bloczkiem z warstwy V2;

  • dwukrotnie kliknąć lewym klawiszem myszki nad tym bloczkiem;

  • ukaże się menu, z którego należy wybrać polecenie Kluczowanie;

  • zostanie otwarte okno Wybór koloru kluczowania;

  • wybrać kolor kluczowania;

  • ustalić, która warstwa ma być kluczowana (grupa Kluczuj na);

  • wcisnąć klawisz Zastosuj kluczowanie.

Zostanie w ten sposób ustalone kluczowanie. Świadczyć o tym będzie pionowy pasek, w kolorze wcześniej wybranym jako kluczowy.

Aby usunąć kluczowanie należy:

  • umieścić kursor myszki nad bloczkiem z warstwy V2, na którym ustalono wcześniej kluczowanie;

  • dwukrotnie kliknąć lewym klawiszem myszki nad tym bloczkiem;

  • ukaże się menu, z którego należy wybrać polecenie Kluczowanie;

  • zostanie otwarte okno Wybór koloru kluczowania;

  • wcisnąć klawisz Kasuj kluczowanie.


6. Podgląd projektu.

Użytkownik ma możliwość podglądu montowanego filmu w dowolnej pozycji projektu. Podgląd może odbywać się wyłącznie dla grafiki bądź jednocześnie dla grafiki i dźwięku. W celu wykonania podglądu należy:

  • najechać kursorem myszki nad osią czasu okna projektu;

  • wcisnąć i przytrzymać lewy klawisz myszki;

  • na osi czasu pojawi się suwak;

  • zostanie otwarte okno podglądu, a na nim zostaną wyrenderowane klatki, odpowiadające pozycji suwaka, znajdującego się na osi czasu;

  • przeciągać w prawo lub w lewo kursor myszki;

  • aby dodatkowo uzyskać podsłuch dźwięku, należy wcisnąć i przytrzymać klawisz CTRL.


7. Dźwięk.

Program Koala Film Studio umożliwia miksowanie ze sobą trzech ścieżek dźwiękowych, regulację głośności a także obcinanie dowolnych fragmentów dźwięku. Te czynności wykonywane mogą być na warstwach dźwiękowych A1, A2 oraz A3.


7.1. Wybranie fragmentu dźwięku.

Fragmenty dźwięku określa się identycznie jak w przypadku animacji. Dowolny fragment dźwięku można wstępnie wybrać z okna odtwarzacza bądź bezpośrednio na warstwie dźwiękowej po rozcięciu bloczka dźwiękowego na kawałki (należy w tym celu wykorzystać polecenie Cięcie bloczka na dwie części z menu kontekstowego okna projektu).


7.2. Regulacja głośności.

Regulację głośności wykonuje się podobnie, jak regulację przezroczystości na warstwie wideo. W tym celu należy:

  • przeciągnąć bloczek audio z listy zasobów na warstwę A1, A2 lub A3;

  • najechać kursorem myszki nad warstwą, która zawiera przeciągnięty bloczek;

  • kliknąć dwukrotnie lewym klawiszem myszki;

  • pojawi się menu, z którego należy wybrać polecenie Wykres;

  • najechać kursorem myszki nad czerwoną linią (domyślnie linia ustalona jest na poziomie zerowym, czyli takim, na którym nie zostaje zmieniona głośność);

  • kliknąć i przytrzymać lewy klawisz myszki;

  • przeciągnąć nowo powstały kwadrat w wybrane miejsce;

  • powstałe linie definiują głośność dla każdego punktu z osi czasu. Pozycja górna oznacza maksymalną głośność, a dolna minimalną.

Uwaga:

Wykonywanie podsłuchu w punktach, gdzie została wykonana regulacja głośności dźwięku, powinno dać oczekiwany rezultat wykonanej regulacji. Można w ten sposób wyłapać przesterowanie dźwięku.


7.3. Miksowanie dźwięku.

Program Koala Film Studio automatycznie wykonuje miksowanie trzech ścieżek dźwiękowych. Aby zmiksować dwa różne źródła dźwiękowe, należy:

  • załadować oba zasoby dźwiękowe do listy zasobów (o ile nie zostały one wcześniej załadowane);

  • przeciągnąć je kolejno na warstwę A1 oraz A2;

  • przesunąć oba bloczki względem siebie tak, aby nachodziły na siebie;

  • wykonać podsłuch. Zostaną odtworzone fragmenty zmiksowanego dźwięku we wskazanych miejscach przez suwak osi czasu.


7.4. Łagodne przejście dźwięku.

W przypadku, kiedy zachodzi potrzeba zastosowania łagodnego przejścia jednego fragmentu muzycznego w drugi, należy zastosować regulację głośności dźwięku wraz z jego miksowaniem. Końcowy fragment pierwszego dźwięku powinien zostać ściszony. Natomiast początek fragmentu drugiego dźwięku powinien łagodnie zostać zgłośniony. Dodatkowo końcowy fragment pierwszego dźwięku powinien nachodzić na początkowy fragment drugiego fragmentu dźwięku. Poprawne wykonanie tych czynności w oknie projektu ilustruje poniższy rysunek.


8. Sekwencje filmu.

Ponieważ projekt może zawierać wiele szczegółów rozłożonych w czasie, pomocne może okazać się szybkie przemieszczanie pomiędzy różnymi pozycjami osi czasu. W tym celu można zastosować sekwencje filmu. Dodatkowo istnieje możliwość wygenerowania filmu ze zdefiniowanych sekwencji.


8.1. Definiowanie sekwencji filmu.

Sekwencje filmu to odcinki wyznaczające dowolne fragmenty projektu. W celu zdefiniowania takiej sekwencji należy:

  • umieścić kursor myszki nad linią sekwencji;

  • kliknąć dwukrotnie lewym klawiszem myszki. Na ekranie pojawi się okno Wybór skrótu klawisza;

  • należy przyporządkować skrót klawisza, poprzez kliknięcie klawisza lub kombinacji klawiszy za pomocą, których ma być przywołana nowo definiowana sekwencja. Jeżeli ma to być kombinacja to należy dodatkowo, wcisnąć jeden z klawiszy: CTRL, ALT albo SHIFT, a następnie podstawowy klawisz np. F4;

  • nacisnąć klawisz Akceptuj;

  • w oknie projektu pojawi się nowa sekwencja filmu w postaci prostokątnego bloczka. Prostokąt oznaczony jest klawiszem skrótu, wywołującym zdefiniowaną sekwencję;

  • rozciągnąć ten prostokąt na wymaganą szerokość.

Uwaga:

Aby zobaczyć wszystkie zdefiniowane sekwencje filmu należy otworzyć okno Sekwencje filmu. W tym celu należy wybrać polecenie Sekwencje filmu z menu Okno.


8.2. Usuwanie sekwencji filmu.

Aby usunąć sekwencję filmu należy:

  • kliknąć lewym klawiszem myszki nad prostokątem symbolizującym sekwencję filmu;

  • nacisnąć klawisz DELETE lub kliknąć ikonę Kasowanie zaznaczonych elementów z paska narzędzi albo wybrać polecenie Kasuj z menu Edycja.


8.3. Zmiana klawisza skrótu.

W celu zmiany klawisza skrótu należy:

  • kliknąć dwukrotnie nad prostokątem symbolizującym sekwencję filmu bądź kliknąć dwukrotnie nad odpowiednią pozycją w oknie Sekwencje filmu;

  • pojawi się okno Wybór skrótu klawisza. Należy wybrać inny skrót klawisza;

  • nacisnąć klawisz Akceptuj.


8.4. Przywoływanie sekwencji filmu.

W celu automatycznego przewinięcia się okna projektu do miejsca, w którym znajduje się wybrana sekwencja filmu, należy wykonać jedną z czynności:

  • kliknąć lewym klawiszem myszki w wybraną pozycję okna Sekwencje filmu;

  • wcisnąć kombinację klawiszy, odpowiadającą zdefiniowanemu klawiszowi skrótu, dla wybranej sekwencji filmu;

Okno zostanie automatycznie przewinięte do wybranej sekwencji filmu.


9. Generowanie filmu.

Po przygotowaniu projektu można przystąpić do generowania filmu. W tym celu należy wykonać jedną z czynności:

  • kliknąć lewym klawiszem myszki nad ikonką Wygenerowanie filmu [image] w celu wygenerowania animacji z dźwiękiem;

  • kliknąć lewym klawiszem myszki nad ikonką Wygenerowanie dźwięku [image] w celu wygenerowania dźwięku;

  • wybrać polecenie Generuj film z menu Plik (generowanie animacji z dźwiękiem);

  • wybrać polecenie Generuj animację z menu Plik (generowanie animacji);

  • wybrać polecenie Generuj dźwięk z menu Plik (generowanie dźwięku).

Ukaże się okno konfiguracyjne generowanego filmu.


9.1. Okno Własności generowanego filmu.

Okno Własności generowanego filmu zawiera szereg opcji, niezbędnych do ustawienia w celu wygenerowania filmu o wymaganych parametrach. Od tego czy zostaną one ustalone prawidłowo, zależy efektywność pracy użytkownika. Generowanie kilkuminutowych filmów, zawierających skompresowane klatki, wymaga poświęcenia sporej ilości czasu, pochłanianego przez renderowanie i kompresję poszczególnych klatek obrazu. Dlatego warto ustalić najpierw wstępne parametry filmu tak, aby film wygenerowany został w przeciągu krótkiego okresu czasu. W zupełności powinno wystarczyć obejrzenie takiego filmu aby można było ostatecznie zatwierdzić projekt. Na przykład można ustalić rozmiar pojedynczych, nieskompresowanych klatek na 320 x 240, częstotliwość 20-stu klatek na sekundę i głębię kolorów na 16 bitów (około 64.000 kolorów). Film taki zostanie wygenerowany w dużo krótszym czasie.

Typ generowanego filmu.

  • Animacja i dźwięk - generowanie filmu zawierającego ścieżkę wideo i audio;

  • Animacja - generowanie samej animacji;

  • Dźwięk - generowanie samego dźwięku.

Format pliku.

  • Microsoft AVI - wygenerowanie pliku AVI;

  • Sekwencje BMP - wygenerowanie kolejnych klatek w postaci pojedynczych obrazków zapisanych w formacie BMP (nazwy plików są automatycznie numerowane przez program);

  • Sekwencje GIFF - podobnie jak poprzednio, tym razem są to obrazki formatu graficznego GIF;

  • Sekwencje JPG - podobnie jak poprzednio, tutaj są to obrazki formatu graficznego JPG.

Uwaga:

Jedynie pozycja Microsoft AVI może posiadać ścieżkę dźwiękową.

Parametry obrazu.

  • Rozmiar można ustalić na dwa sposoby:

a) skorzystać ze standardowych rozmiarów i wybrać jedną pozycję z rozwijanej listy;

b) wybrać niestandardowy rozmiar obrazu poprzez zmianę szerokości i wysokości;

  • Częstotliwość określaną w klatkach na sekundę (np. 25 dla systemu PAL). Należy pamiętać, że nie każdy rozmiar jest akceptowany przez kompresory grafiki (codec'i);

  • Głębia kolorów - w przypadku generowania nieskompresowanego obrazu - jest to głębia kolorów poszczególnych klatek filmu wyjściowego. Natomiast, jeżeli obraz będzie kompresowany, to będzie to głębia kolorów obrazu poddawanego kompresji. Najczęściej wykorzystana jest głębia 24-bitowa (16,7 mln kolorów);

  • Kompresja - wykonywany jest wybór pomiędzy skompresowanym a nieskompresowanym obrazem. Aby zmienić codec wideo (kompresor wideo) należy przycisnąć klawisz Zmień kompresor a następnie wybrać jeden z dostępnych codec'ów np. Indeo Video 5.04 lub Cinepak Codec by Radius.

  • Optymalizacja - parametr ten ma istotny wpływ na sposób generowania pojedynczych klatek wideo:
    a) Maksymalna (bez rekompresji) - komputer wykonuje rekompresję skompresowanego obrazu tylko w punktach kluczowych lini czasu t.j. efekty przejść, nakładanie się warstw oraz tam gdzie występuje niezgodność parametrów skompresowanego obrazu;
    b) Średnia (rekompresja) - komputer zawsze wykonuje rekompresję skompresowanego obrazu, renderuje jednak tylko w punktach kluczowych linii czasu;
    c) Brak (rekompresja i renderowanie) - komputer zawsze wykonuje rekompresję obrazu i renderuje klatki wideo we wszystkich punktach linii czasu.

Parametry dźwięku.

Po kliknięciu w zakładkę Dźwięk dostępne są następujące parametry:

  • Częstotliwość - jest to częstotliwość próbkowania dźwięku (w celu wygenerowania filmu o dobrej jakości wystarczy 22050Hz);

  • Format: kombinacja liczby kanałów dźwiękowych (mono - jeden, stereo - dwa) oraz liczby bitów pojedynczej próbki (w celu otrzymania dobrej jakości dźwięku, koniecznie należy wybrać 16 bitów);

  • Kompresja - domyślnie bez kompresji;

  • Ramka - kolejne paczki dźwięku generowane są o długości reprezentowanej przez ten parametr. Może przyjmować długość 1-dnej sekundy, 1/2 sekundy, 1 ramki (dla systemu PAL jest to 1/25 sekundy) lub przyjąć długość równej długości całego generowanego filmu.

Obszar linii czasu.

Istnieje wybór trzech zakresów, z których można wygenerować film:

  • Linia zakresu generowanego filmu - film zostanie wygenerowany z odcinka czasu wyznaczonego przez linię zakresu, znajdującą się w górnej części okna projektu;

  • Wybrane sekwencje filmu - film zostanie wygenerowany z odcinków czasowych, wyznaczonych przez sekwencje filmu (należy je używać raczej podczas testowania wybranych fragmentów filmu);

  • Cały projekt - film zostanie wygenerowany z całego projektu. Komputer sam znajdzie ostatnie element projektu i wyznaczy w ten sposób długość całego filmu.

Opcja Otwórz film po zakończeniu generowania.

Jeżeli zachodzi potrzeba obejrzenia filmu bezpośrednio po zakończeniu generowania filmu, należy zaznaczyć tę opcję.

Nazwa pliku wyjściowego.

Pole to zawiera aktualnie wybrany plik wyjściowy wraz z jego lokalizacją. Może to być plik AVI, BMP, GIF lub JPG.

Rozmiar pliku wyjściowego.

Jest to maksymalny dopuszczalny rozmiar nowo tworzonego pliku AVI. W trakcie generowania filmu kolejno generowane klatki wideo i audio będą zapisywane do pliku AVI aż do osiągnięcia podanego rozmiaru. Po osiągnięciu takiego rozmiaru program zamknie bieżący plik i będzie kontynuował proces generowania filmu zapisując dane do nowego pliku AVI. Nazwa nowo utworzonego pliku zostanie wydłużona o numer kolejno tworzonego pliku AVI.

Uwaga:

Po wciśnięciu klawisza Generuj program nie sprawdza, czy dany plik już istnieje. Sprawdzenie następuje wyłącznie po wciśnięciu klawisza Wskaż plik wyjściowy i wykonaniu wyboru pliku. Należy zatem uważać, aby nie wykasować przypadkowo poprzednio wygenerowanych filmów.

Informacja o parametrach generowanego filmu.

W dolnej, prawej części okna wyświetlana jest krótka informacja o aktualnie wybranych parametrach generowanego filmu. Należy ją wykorzystać w celu weryfikacji dokonanych ustawień.

Automatyczny zapis ustawień.

Wykonane wszystkie ustawienia będą pamiętane przez program i po ponownym jego uruchomieniu - przywrócone. Tak więc nie trzeba po każdorazowym otwarciu okna Własności generowanego filmu, ustalać na nowo wszystkich parametrów.

Po ustaleniu wszystkich parametrów można przystąpić do rozpoczęcia generowania filmu. W tym celu należy przycisnąć przycisk Generuj [image] .


9.2 Okno Generowanie filmu.

Po wciśnięciu klawisza Generuj, pojawi się okno Generowanie filmu. Zawiera ono wskaźnik postępu generowanego filmu, wraz z jego wyliczeniem podanym w procentach. Dodatkowo wyliczony zostaje przybliżony czas zakończenia całego procesu.

Można także podejrzeć renderowane klatki upewniając się, czy cały proces przebiega poprawnie. Należy jednak zaznaczyć, że może to spowodować, że sam proces generowania filmu trwać będzie nieco dłużej. W celu podejrzenia aktualnie renderowanych klatek należy wcisnąć i przytrzymać klawisz CTRL a następnie wcisnąć klawisz SPACJA. Okno zostanie powiększone i w dolnej części pojawią się kolejno generowane klatki. Ta sama kombinacja klawiszy zamyka podgląd. Można w ten sposób wykonywać podgląd tylko na krótki okres czasu.

Uwagi:

W celu wydajnego generowania filmu, nie powinno się uruchamiać innych aplikacji na czas generowania filmu. Dodatkowo zaleca się, aby okno Generowanie filmu było cały czas aktywne. Szczególnie ważne jest to podczas generowania długich filmów.

Na jakość generowanego filmu istotny wpływ mają parametry ustawione w oknie Opcje programu, których znaczenie opisane jest w następnym rozdziale.


10. Okno konfiguracyjne.

Okno Opcje programu zawiera istotne parametry dotyczące jakości generowanego obrazu.

Jakość obrazu:

  • dobra;

  • bardzo dobra;

  • najlepsza.

W zależności od posiadanej karty graficznej, można wybrać jedną z tych opcji. Zalecaną jest bardzo dobra. W przypadku kart graficznych nie posiadających 8MB pamięci, ustawienie jakości obrazu na bardzo dobra może być niemożliwe. Świadczyć o tym będzie pojawiający się czerwony wykrzyknik tak, jak jest to widoczne na rysunku. Jeżeli pojawi się taki wykrzyknik, to należy:

    • najechać kursorem myszki nad wykrzyknikiem;

    • kliknąć lewym klawiszem myszki;

    • dostosować się do wyświetlonych wskazówek.

Po wykonaniu zmian opcji i wykonaniu podglądu obrazu w dowolnym miejscu na osi czasu i ponownym otwarciu okna Opcje programu, wykrzyknik powinien zniknąć.

Filtrowanie obrazu:

  • bez filtrowania;

  • linearyzacja.

Domyślnie opcja ustawiona jest na bez filtrowania. Opcję linearyzacja można użyć w przypadku animacji, które zawierają szybkie sekwencje. Zazwyczaj takie animacje zawierają pojedyncze klatki, których półobrazy parzyste i nieparzyste, przesunięte są w czasie. Wynika to z tego, że w normalnych warunkach kamera nagrywa nie całe obrazy, lecz półobrazy o częstotliwości 1/50 sekundy. W systemach cyfrowych po złożeniu dwóch półobrazów (parzystego i nieparzystego) otrzymujemy pojedynczą klatkę. Ustawienie opcji linearyzacja likwiduje powstałe przesunięcia.

Korekta pozycji obrazu.

W zależności od posiadanej karty graficznej i od ustalonych poprzednich opcji może się okazać, że występuje przesunięcie obrazu pomiędzy tłem efektu przejścia a obrazem następującym w chwilę po zakończeniu efektu.

Wówczas niezbędną czynnością jest dobranie wartości X i Y w celu likwidacji powstałego przesunięcia.

Aby sprawdzić czy nowo zdefiniowane parametry X i Y są dobrane właściwie należy:

  • zamknąć okna Opcje programu;

  • załadować skrypt Test.KFS;

  • wykonać podgląd na granicy punktu wskazanego na rysunku, wykonując delikatnie ruch myszką w lewo i w prawo;

  • jeżeli wciąż widoczne jest przesunięcie obrazu, to należy ponownie otworzyć okno Opcje programu, zmienić wartości X i Y i powtórzyć całą procedurę.

Powyższe czynności należy raz wykonać po instalacji programu. Parametry te zostaną zapamiętane przez program w pliku konfiguracyjnym i odczytane po jego powtórnym uruchomieniu.


11. Edytor Tekstu.

Edytor Tekstu jest zintegrowanym modułem programu Koala Film Studio, przeznaczonym do szybkiego tworzenia stron tytułowych z napisami. Cechuje się szybkim dostępem do tworzonych projektów stron z poziomu programu Koala Film Studio oraz bieżącą aktualizację wykonanych zmian tych projektów w liście zasobów programu Koala Film Studio.

Utworzone strony za pomocą Edytora Tekstu mogą zawierać napisy posiadające różne atrybuty. Strony te można także wyeksportować do postaci plików zapisanych w formacie graficznym, co pozwala na wykorzystanie ich w programach pochodzących od różnych producentów.

Po utworzeniu odpowiedniego projektu Koala Film Studio i dodaniu do niego utworzonych stron Edytora Tekstu, można uzyskać animację tekstu na dowolnym tle, np. możliwe jest uzyskanie przewijanego tekstu z dołu do góry na tle ruchomego obrazu.

Edytor Tekstu dostępny jest po wybraniu polecenia Otwórz Edytor Tekstu z menu kontekstowego listy zasobów lub wybraniu polecenia Okno Edytora Tekstu z menu Okno.


11.1. Opis poleceń menu.

11.1.1. Menu Plik.

  • Nowy.

Utworzenie nowego projektu. (W przypadku niezapisania wykonanych zmian poprzedniego projektu, zostanie wcześniej pokazane stosowne okienko z zapytaniem o potwierdzenie chęci zapisu ostatnio wykonanych zmian).

  • Otwórz.

Otwarcie projektu Edytora Tekstu. (W przypadku niezapisania poprzedniego projektu, zostaje pokazane stosowne okienko z zapytaniem o potwierdzenie chęci zapisu ostatnio wykonanych zmian).

  • Zapisz.

Zapisanie aktualnie otwartego projektu.

  • Zapisz jako.

Zapisanie aktualnie otwartego projektu pod inną nazwę.

  • Eksportuj / Zapisz na dysk jako obrazek.

Wyeksportowanie otwartego projektu Edytora Tekstu do pliku w formacie graficznym. Dostępne są trzy następujące formaty: BMP, JPG oraz GIF.

  • Eksportuj / Wstaw do listy zasobów.

Wyeksportowanie aktualnie otwartego, zapisanego projektu do listy zasobów programu Koala Film Studio.

  • Wyjście z Edytora Tekstu.

Zamknięcie modułu Edytora Tekstu.

  • Grupa ostatnio otwartych plików

Szybkie otwarcie jednego z kilku ostatnio edytowanych projektów Edytora Tekstu.

11.1.2. Menu Edycja.

  • Kopiuj

Kopiowanie zaznaczonych napisów do schowka.

  • Wklej

Wklejenie napisów ze schowka.

  • Kasuj

Kasowanie zaznaczonych napisów.

  • Zaznacz wszystkie

Zaznaczenie wszystkich napisów.

11.1.3. Menu Widok.

  • Pełny Ekran

Wyświetlenie strony na pełnym ekranie. Z ekranu znika okno Edytora Tekstu i cały pulpit Windows, a na ich miejsce pojawi się cała projektowana strona. Aby powrócić do Edytora Tekstu należy wcisnąć klawisz ESC lub klawisz myszki.

11.1.4. Menu Polecenia.

  • Czcionka / Gruba

Pogrubienie zaznaczonych napisów.

  • Czcionka / Pochyła.

Pochylenie zaznaczonych napisów.

  • Czcionka / Podkreślona.

Podkreślenie zaznaczonych napisów.

  • Na wierzch

Przesunięcie zaznaczonych napisów na wierzch.

  • Pod spód.

Przesunięcie zaznaczonych napisów pod spód.

  • Odstępy w poziomie.

Wyrównanie odstępów pomiędzy zaznaczonymi napisami w osi poziomej. W przypadku zaznaczenia trzech lub więcej napisów, odstępy zostają ustalone względem dwóch skrajnych napisów. Jeżeli zaznaczono jeden lub dwa napisy, to wyrównanie odstępów następuje względem krawędzi strony;

  • Odstępy w pionie.

Wyrównanie odstępów pomiędzy zaznaczonymi napisami w osi pionowej. Podobnie jak wcześniej w zależności od liczby zaznaczonych napisów, wyrównanie zostaje wykonane względem krawędzi strony bądź skrajnych napisów.

  • Wstaw tekst.

Wstawienie do części edycyjnej strony nowego napisu o atrybutach wskazanych przez elementy okna z następujących grup: Napis, Tekst, Cień i Obwódka;

  • Tekst.

Po kliknięciu menu, Tekst pojawia się lista wszystkich napisów znajdujących się w projekcie. Kliknięcie lewym klawiszem myszki na wybrany tekst powoduje zaznaczenie wybranego napisu. Funkcja ta pozwala na szybkie zaznaczenie wybranego napisu, który może być niewidoczny lub może znajdować się pod spodem pozostałych napisów tak, że trudne byłoby zaznaczenie tego napisu bezpośrednio klikając klawiszem myszki w części edycyjnej strony.


11.2. Pasek narzędzi

Wstaw tekst - patrz menu Polecenie/Wstaw tekst.

Czcionka pogrubiona - patrz menu Polecenie/Czcionka/Gruba.

Czcionka pochyła - patrz menu Polecenie/Czcionka/Pochyła.

Czcionka podkreślona - patrz menu Polecenie/Czcionka/Podkreślona.

Przesuń element(y) pod spód - patrz menu Polecenie/Pod spód.

Przesuń element(y) na wierzch - patrz menu Polecenie/Na wierzch.

Wyrównaj elementy w lewo.

Wyrównanie lewych krawędzi zaznaczonych elementów do lewej krawędzi górnego, zaznaczonego elementu.

Jeżeli zaznaczono jeden element, to lewa krawędź tego elementu zostaje wyrównana z lewą krawędzią strony.

Wyrównanie elementów w osi poziomej.

Wyrównanie elementów w połowie szerokości górnego, zaznaczonego elementu.

Jeżeli zaznaczono jeden element, to zostaje on wycentrowany w poziomie.

Wyrównaj elementy w prawo.

Wyrównanie prawych krawędzi zaznaczonych elementów do prawej krawędzi górnego zaznaczonego elementu.

Jeżeli zaznaczono jeden element, to prawa krawędź tego elementu zostaje wyrównana z prawą krawędzią strony.

Wyrównaj elementy w górę.

Wyrównanie górnych krawędzi zaznaczonych elementów do górnej krawędzi lewego, zaznaczonego elementu.

Jeżeli zaznaczono jeden element, to górna krawędź tego elementu zostaje wyrównana z górną krawędzią strony;

Wyrównanie elementów w osi pionowej.

Wyrównanie elementów w połowie szerokości górnego, zaznaczonego elementu.

Jeżeli zaznaczono jeden element, to zostaje on wycentrowany w pionie.

Wyrównaj elementy w dół.

Wyrównanie dolnych krawędzi zaznaczonych elementów do dolnej krawędzi lewego, zaznaczonego elementu.

Jeżeli zaznaczono jeden element, to dolna krawędź tego elementu zostaje wyrównana z dolną krawędzią strony;

Wyrównaj odstępy w poziomie - patrz menu Polecenie/Odstępy w poziomie.

Wyrównaj odstępy w pionie - patrz menu Polecenie/Odstępy w pionie.

Element edycyjny tekstu.

Służy do wprowadzania pojedynczego wiersza lub kilku wierszy tekstu zaznaczonego, lub nowo tworzonego.

Skala części edycyjnej strony.

Skala pozwala na wybór powiększenia strony. Wartość 100% oznacza wyświetlenie strony w skali 1:1.


11.3. Pozostałe elementy

Grupa Napis.

Zawiera rozwijaną listę z dostępnymi czcionkami systemu Windows, służącą do ustalania kroju czcionki w zaznaczonych napisów oraz element edycyjny liczby, ustalający rozmiar czcionki.

Grupa Tekst.

Jeżeli zaznaczono opcję Rysuj tekst, to rysowany zostaje tekst w zaznaczonych napisach, w kolorze wskazanym przez rozwijaną listę kolorów

Grupa Cień.

Jeżeli zaznaczono opcję Rysuj cień, to rysowany zostaje cień w zaznaczonych napisach, w kolorze wskazanym przez rozwijaną listę kolorów o przesunięciu poziomym, wyznaczonym przez wartość X oraz przesunięciem pionowym, wyznaczonym przez wartość Y

Grupa Obwódka

Jeżeli zaznaczono opcję Rysuj obwódkę, to zostaje rysowana obwódka w zaznaczonych napisach, w kolorze wskazanym przez rozwijaną listę kolorów o grubości ustalonej przez wartość O.

Tło.

Rozwijana lista kolorów wskazuje aktualnie wybrany kolor tła strony. Aby zmienić kolor tła strony, należy wybrać jeden z dostępnych kolorów na tej liście.

Część edycyjna strony.

  • Suwaki

W przypadku gdy strona nie mieści się w obszarze edycyjnym, pojawiają się suwaki: poziomy i pionowy. Suwaki te służą do przemieszczania części edycyjnej strony.

  • Edycja napisów.

Aby wejść w tryb edycji napisów, należy dwukrotnie kliknąć lewym klawiszem myszki nad obszarem napisu. Pojawi się wtedy migający kursor wskazujący bieżącą pozycję;

  • Zaznaczanie elementów.

Zasada zaznaczania elementów zgodna jest z ogólnie przyjętymi zasadami.

Pojedyncze kliknięcie lewym klawiszem myszki powoduje zaznaczenie pojedynczego elementu. Dodatkowo przytrzymanie klawisza CTRL powoduje inwersję stanu klikanego elementu. Przytrzymanie klawisza SHIFT wraz z kliknięciem lewego klawisza myszki powoduje dodanie do zaznaczonych elementów następnego - klikanego elementu.

  • Przesuwanie elementów.

Zaznaczone elementy mogą być przesuwane za pomocą myszki poprzez przytrzymanie lewego klawisza myszki oraz jednoczesne przemieszczenie położenia myszki.


Instrukcja

Koala Film Studio 2 DV

Instrukcja obsługi


Instrukcja

12. Obsługa formatu cyfrowego DV.

Program Koala Film Studio 2 DV jest kontynuacją wersji poprzedniej. Został przygotowany z myslą o użytkownikach kamer cyfrowych DV, których liczba wzrasta w tempie geometrycznym. Ze względu na coraz większe zapotrzebowanie na obsługę formatu cyfrowego DV przygotowane zostało oprogramowanie, które może spełnić Państwa oczekiwania.

Program Koala Film Studio 2 DV jest kompletnym narzędzięm przeznaczonym do nieliniowej edycji filmów video obsługującym kamery cyfrowe DV. Program jest w całości napisany w języku polskim. Zawiera wszystkie trzy fazy obróbki filmów video: wychwyt, edycję i nagrywanie. Poprzednia wersja Koala Film Studio 1 zawierała tylko część edycyjną, choć bardzo mocno rozbudowaną. Druga wersja posiada dodatkowe dwa moduły obsługujące format cyfrowy DV i sterujące pracą kameram cyfrowych DV. Jednym z mocniejszych części tego programu jest moduł wychwytu. Moduł ten pozwala na wychwyt filmu z kamer cyfrowych DV z automatycznym rozpoznaniem zmian formatu dźwięku (kamery cyfrowe DV mogą nagrywać kolejne wątki filmu z różnymi parametrami dźwięku: 32kHz/48kHz, stereo/mono) i zapisu kolejnych wątków filmu do nowych plików avi. Podczas wychwytu program zapisuje obraz i dźwięk z automatycznym rozdzieleniem plików avi na 2GB, wyświetlając przy tym aktualną pozycję kamery (godziny, minuty, sekundy) oraz ilość zgranego filmu (podawaną w megabajtach lub gigabajtach w zależności od aktualnego rozmiaru). Wszystko to dzieje się automatycznie bez ingerencji użytkownika (sygnały sterujące pracą kamery może wysyłać komputer). Dodatkowo użytkownik może wskazać długość filmu do zgrania (np. 15 minut) - edycja czasu jest bardzo wygodna (program posiada wygodne interaktywne elementy niestosowane dotąd w innych programach). Podczas wykonywania wychwytu program automatycznie rozpoznaje ilość wolnego miejsca na dysku i jeżeli stwierdzi, że ilość ta jest niewystarczająca - przerywa cały proces. Dzięki temu użytkownik nie jest skazany na ingerencję w trakcie wykonywania wychwytu.

Nagrywanie obrobionego filmu też jest bardzo proste w użyciu. Po załadowaniu listy plików avi, użytkownik może podejrzeć przygotowane filmy na ekranie monitora. Ma możliwość wykonania podglądu bezpośrednio na wyświetlaczu kamery cyfrowej. A po wykonaniu podglądu, użytkownik może przystąpić do samego nagrania filmu na taśmie kamery cyfrowej DV. W trakcie zgrywania filmu pokazana zostaje pozycja zgrywanego filmu (godziny, minuty, sekundy). Samo okno zawiera minimalną liczbę przycisków przez co nowemu użytkownikowi nie sprawia trudności w zapoznaniu się z nowymi funkcjami.

Oba moduły działają w systemie Windows 98 SE oraz Windows 2000.


12.1. Wychwyt z kamery cyfrowej DV.

Wychwyt wykonuje się w okienku modalnym Wychwyt, które dostępne jest po wciśnięciu ikony Wychwyt z kamery DV [image] z głównego paska narzędzi. Przed rozpoczęciem wychwytu należy upewnić się czy została podłączona kamera cyfrowa za pomocą kabla fire-wire do karty DV oraz czy włączone zostało jej zasilanie. W przypadku nie wykonania wspomnianych czynności, program zgłosi błąd i ukaże się okienko ze stosowną informacją.

Moduł wychwytu może pracować w dwóch trybach: podglądu i wychwytu. Po otwarciu okna Wychwyt automatycznie pracuje ono w trybie podglądu. Charakteryzuje się tym, że w górnej części okna widoczny jest obraz pochodzący z kamery cyfrowej DV odczytany z jej aktualnej pozycji. Pozycja ta jest wyświetlana w okienku poniżej w postaci godzin, minut i sekund za pomocą elementu:

W trybie podglądu odblokowane zostają przyciski sterujące pracą kamery. Są to:

Odtwarzaj -rozpocznij odtwarzanie (odpowiednik przycisku Play w kamerze).

Wstrzymaj -wstrzymaj odtwarzanie (przycisk Pause w kamerze).

Zatrzymaj -zatrzymanie odtwarzania (przycisk Stop w kamerze).

Przewiń do tyłu -przewijanie taśmy do tyłu (przycisk Rew w kamerze).

Przewiń do przodu -przewijanie taśmy do przodu (przycisk FF w kamerze).

Pokaż poprzednią klatkę -pokaż poprzednią klatkę (element aktywny tylko w stanie wstrzymania kamery).

Pokaż następną klatkę -pokaż następną klatkę (element aktywny w stanie wstrzymania kamery).

Za pomocą tych przycisków można sterować pracą kamery bezpośrednio z komputera PC. Oczywiście jeżeli użytkownik będzie sterował kamerą przyciskając jej klawisze, to okno Wychwytu będzie pracowało tak samo a elementy sterujące w tym oknie przyjmą odpowiedni stan.

Przyciski te zostaną całkowicie zablokowane podczas wykonywania wychwytu, czyli w drugim trybie pracy okna Wychwyt. Przed rozpoczęciem wychwytu należy ustawić kilka niezbędnych parametrów. Wykonuje się to po wciśnięciu klawisza [image]. Ukaże się okno modalne Wychwyt  konfiguracja.

Najważniejszą parametrem do ustawienia jest wskazanie lokalizacji i nazwy pliku avi, do którego będzie zapisywany wychwycony obraz i dźwięk. Aby to uczynić należy wcisnąć przycisk [image] w oknie Wychwyt  konfiguracja. Ukaże się standardowe okienko z wyborem pliku.

Po wkazaniu lokalizacji i nazwy pliku, program odczyta ilość wolnego obszaru na docelowym dysku. Wartość ta zostanie wyświetlona poniżej etykiety Na dysku pozostało wolnych:. Użytkownik może w ten sposób określić czy będzie mógł wychwycić film o wymaganej długości. Należy pamiętać, że w przypadku formatu cyfrowego DV ilość danych przypadająca na każdą klatkę video jest stała i można przyjąć w przybliżeniu, że jedna sekunda wychwyconego filmu będzie zajmować 3,6 MB, minuta  ok. 200MB a 10 minut ponad 2GB.

Zaznaczenie opcji [image] pozwala na automatyczne zakończenie wychwytu przez program po upłynięciu czasu wskazanego przez element  wyświetlacz:

Użytkownik może sam określić czas jaki ma upłynąć w celu zatrzymania wychwytu. Aby to uczynić należy we wskazaną cyfrę kliknąć lewym bądź prawym klawiszem myszki. Wyświetlacz wskazuje kolejno: godziny, minuty i sekundy. Szegółowy opis tego typu elementów można znależć na stronie http://www.koala.pl w sekcji Wyświetlacze.

Zaznaczenie opcji [image] spowoduje wstrzymanie kamery po zakończeniu wychwytu. Może to być przydatne w przypadku gdy zaistnieje potrzeba kontynuacji wychwytu od miejsca w którym poprzedni wychwyt został zakończony. Może to być też wygodne w przypadku gdy operator będzie musiał wykonać inne czynności w trakcie wykonywania wychwytu.

Po ustaleniu wszystkich parametrów należy wcisnąć klawisz [image].

Od tego momentu okno przejdzie w stan wychwytu. Podgląd zniknie. W jego miejsce ukaże się animowana ikona [image] symbolizująca aktualne trwanie procesu wychwytu. Poniższy wyświetlacz okna Wychwyt będzie wskazywał aktualną pozycję kamery (podobnie jak w trybie podglądu) a dolny wyświetlacz [image] będzie wskazywał aktualny rozmiar wychwyconego filmu podany w MB lub GB w zależności od rozmiaru. Jeżeli ilość danych przekroczy 2GB (limit plików avi z rodzielonym strumieniem wideo i audio), to program automatycznie zamknie aktualny plik avi i utworzy nowy zapisując kolejne dane bez utraty danych.

Obraz i dźwięk zapisany na taśmie umieszczonej w kamerze cyfrowej DV może być zapisany w kilku wątkach. Mogą one różnić się częstotliwością próbkowania dźwięku (32kHz bądź 48kHz). Program wykryje taki stan i rozpocznie zapis wychwyconych danych do nowego pliku avi bez zatrzymywania kamery.

W trakcie wykonywania wychwytu można przerwać proces poprzez:

  • wciśnięcie klawisza Escape;

  • poprzez wcisnięcia przycisku Zakończ wychwyt [image].

Po zakończeniu się procesu wychwytu okno przejdzie w stan podglądu.

Aby obejrzeć wychwycony materiał należy zamknąć okno Wychwytu i załadować nowo utworzony plik (bądź pliki) do listy zasobów a następnie dwukrotnie kliknąć lewym klawiszem myszki w celu otwarcia okna odtwarzacza.


12.2. Zgrywanie na kamerę cyfrową DV.

Zgrywanie wykonuje się w okienku modalnym Zgrywanie, które dostępne jest po wciśnięciu ikony Zgrywanie na kamerę DV [image] . Przed rozpoczęciem zgrywania należy upewnić się czy została podłączona kamera cyfrowa za pomocą kabla fire-wire do karty DV oraz czy włączone zostało jej zasilanie. Należy zastosować się zgodnie z instukcją obsługi kamery cyfrowej. W przypadku nie wykonania wspomnianych czynności program zgłosi błąd i ukaże się okienko ze stosowną informacją.

Moduł wychwytu może pracować w dwóch trybach: podglądu i zgrywania. Po otwarciu okna Zgrywanie należy wcisnąć przycisk [image] w celu załadowania pliku (bądź całej listy plików avi). Nazwy wskazanych plików będą widoczne w dolnej części okna. Po wczytaniu filmu (bądź filmów), okno automatycznie przechodzi w tryb podglądu. W górnej części widoczny będzie nieruchomy obraz pochodzący z pliku avi (bądź pierwszego pliku avi całej listy).

Przed przystąpieniem do zgrywania można wykonać podgląd na ekranie monitora. Po wciśnięciu klawisza [image] zostanie uruchomiony podgląd przygotowanych filmów i będzie widoczny w górnej części okna Zgrywanie. Poniżej znajdujący się wyświetlacz wskazuje pozycję odgrywanego filmu w postaci: godzin, minut i sekund za pomocą elementu:

Przycisk [image] wstrzymuje odtwarzanie filmu (bądź filmów) a wciśnięcie przycisku [image] powoduje całkowite zatrzymanie odtwarzania filmu (bądź filmów).

Następnie można przystąpić do nagrywania przygotowanego materiału filmowego na taśmę w kamerze cyfrowej DV. Aby to uczynić należy uprzednio odbezpieczyć taśmę przed zapisem, włożyć do kamery i wcisnąć przycisk [image]. W górnej części okna zamiast podglądu ukaże się animowana ikona [image] informująca użytkownika o wykonywaniu procesu wysyłania danych z komputera do kamery DV. Proces ten będzie się wykonywał zostaną przesłane dane z wszystkich plików avi, bądź do chwili aż użytkownik przerwie zgrywanie poprzez:

  • wciśnięcie klawisza Escape;

  • poprzez wcisnięcia przycisku Zakończ nagrywanie [image].

Po zakończeniu się procesu zgrywania, okno przejdzie w stan podglądu.

Jeżeli opcja [image] nie będzie zaznaczona oraz użytkownik nie wciśnie przycisku Record na kamerze, to uzyskany zostanie podgląd tym razem na wyświetlaczu samej kamery. W ten sposób można także wykonywać sam podgląd na kamerze bez nagrywania filmu na taśmę, znajdującą się w komputerze. Po zaznaczeniu opcji [image] i rozpoczęciu zgrywania, kamera automatycznie zostanie przygotowana do nagrywania, zostanie wymuszony sygnał record  przesyłane dane filmu zostaną zapisane na taśmie.

Po zamknięciu okna zostaną zapisane jego parametry oraz lista załadowanych plików do pliku konfiguracyjnym programu. Należy pamiętać, że podczas ponownego otwierania tego okna, program będzie usiłował je załadować. Aby tego nie robił należy uprzednio wykasować te pliki bądź zmienić ich nazwę.

Uwaga!

Pliki avi jakie są ładowane do okna Zgrywanie muszą być zgodne z formatem cyfrowym DV. Tzn. braz musi być skompresowany codec'iem DV a dźwięk musi być przygotowany z częstotliwością 32kHz bądź 48kHz. Wczytanie plików avi zawierającym obraz, który został skompresowany innym codec'iem wideo, może spowodować błąd.

Zgodność ta zostanie uzyskana jeżeli po wciśnięciu przycisku Generuj film (w pasku narzędzi głównego okna aplikacji) zostaną definiowane parametry następująco: rozdzielczość 720x576, częstotliwość odtwarzania 25, głębia kolorów 24 bity (16,7 mln kolorów), opcja Animacje i dźwięk z sekcji Generowanie, format pliku Microsoft AVI, rozmiar pliku 2 GB, kodek wideo DV (nazwa zależy od posiadanej karty wideo DV), częstotliwość dźwięku 48 000 Hz, format dźwięku 16 bitów stereo i ramka 1 sekunda


Koala Film Studio - Lekcje

W tym rozdziale zostały omówione przykładowe lekcje pozwalające na szybkie zapoznanie się z programem Koala Film Studio. Lekcje zostały tak przygotowane, aby po ich wykonaniu użytkownik mógł efektywnie korzystać z oferowanych możliwości programu. Każda z lekcji zawiera szczegółowy opis poszczególnych kroków wraz z pomocniczymi rysunkami. Kolejne zapoznawanie się z lekcjami pozwoli na szybkie opanowanie programu i na dalszą samodzielną pracę użytkownika z programem.


Lekcja 1 - Nowy projekt

Lekcja 1 zawiera opis kolejnych czynności niezbędnych w celu utworzenia i zapisania na dysk nowego projektu programu Koala Film Studio.

Aby utworzyć nowy projekt należy:

a) uruchomić program Koala Film Studio. W tym celu należy z menu Start wybrać grupę Programy, Koala i Koala Film Studio [image] (program Koala Film Studio może znajdować się w innym miejscu jeżeli podczas instalacji tego programu została wybrana inna lokalizacja niż standardowa);

b) Po otwarciu programu Koala Film Studio z menu Plik należy wybrać polecenie Nowy.

Utworzony został w ten sposób nowy - pusty projekt. Aby móc go zapisać, najpierw w oknie projektu musi znaleźć się dowolny element graficzny np. bloczek symbolizujący Jednolity kolor niebieski. Aby to uczynić należy najechać kursorem myszki nad warstwą V1A i kliknąć dwukrotnie lewym klawiszem myszki. Ukaże się menu:

Należy z niego wybrać opcję Wstaw jednolity kolor niebieski. W oknie projektu powinien się pojawić bloczek.

Aby zapisać projekt należy:

a) wybrać polecenie Plik / Zapisz projekt [image] lub kliknąć ikonę znajdującą się na pasku narzędzi;

b) na ekranie pojawi się okno dialogowe Zapis projektu Koala Film Studio. Należy wskazać docelowy folder (np. Lekcje\);

c) wpisać nazwę projektu np. Lekcja 1;

d) Nacisnąć przycisk Zapisz.

W ten sposób został utworzony nasz pierwszy projekt o nazwie Lekcja 1.PFS. (*.PFS jest domyślnym rozszerzeniem projektów programu Koala Film Studio).


Lekcja 2 - Pojedyncze obrazki

Lekcja druga ilustruje utworzenie prostego projektu składającego się z kilku występujących po sobie nieruchomych obrazków.

Do lekcji będą potrzebne dowolne obrazki zapisane w formacie plików BMP, GIF, JPG lub PTE. Należy je przygotować za pomocą dowolnego programu graficznego lub użyć wbudowanego Edytora Tekstów (patrz instrukcja). Można także użyć obrazków dołączonych razem z programem Koala Film Studio (obrazki dostępne są w przypadku wybrania opcji Obrazki podczas instalacji programu). Gotowe obrazki można także odnaleźć w folderze Koala \ Lekcje zawierającym opisane lekcje.

Po przygotowaniu obrazków należy przystąpić do tworzenia projektu wg następujących kroków:

a) jeżeli na ekranie nie jest widoczne okno Lista zasobów, to należy wybrać polecenie Lista zasobów z menu Okno;

b) należy kliknąć ikonę [image] znajdującą się na pasku narzędzi lub otworzyć menu kontekstowe (należy kliknąć prawym przyciskiem myszki nad oknem Lista zasobów) i wybrać polecenie Otwórz zasoby;

c) na ekranie pojawi się okno dialogowe otwierania plików. Należy zaznaczyć obrazki potrzebne do naszego projektu (przytrzymanie klawisza CTRL i kliknięcie lewym klawiszem myszki nad kolejnym obrazkiem powoduje zaznaczenie całej grupy plików) a następnie wcisnąć przycisk Otwórz (lub Open);

d) w oknie Lista zasobów pojawią się trzy ikony symbolizujące załadowane obrazki;

e) w oknie projektu należy ustawić aktywną opcję Przyklejanie obiektów;

f) nad oknem Lista zasobów należy umieścić kursor myszki, kliknąć i przytrzymać lewy klawisz myszki;

g) nie puszczając lewego klawisza myszki należy przeciągnąć obrazek nad warstwą V2 okna projektu i zwolnić klawisz myszki;

h) W oknie projektu pojawi się prostokątny bloczek reprezentujący obrazek. Aby początek bloczka leżał dokładnie w punkcie zero skali czasu należy:

  • umieścić kursor myszki nad bloczkiem;

  • kliknąć lewym klawiszem myszki nad bloczkiem i przytrzymać go;

  • przeciągnąć bloczek w lewo na początek skali czasu. W bliskiej odległości bloczka od początku skali czasu zostanie on przyciągnięty automatycznie do punktu zerowego;

i) aby wydłużyć bloczek należy umieścić kursor myszki nad jego prawą krawędzią. Kursor myszki przyjmie postać dwóch pionowych kresek. Po wciśnięciu lewego klawisza myszki i jego przytrzymaniu można rozciągnąć bloczek w prawo tak, aby zajmował na skali czasu przedział o długości 3 sekund;

j) przed rozciągnięciem bloczka można wyskalować skalę według potrzeb. Można to zrobić wciskając klawisz "+" bądź "-";

k) należy powtórzyć czynności f - i dla pozostałych obrazków. Obrazki należy kolejno rozmieścić po sobie tak, aby każdy z nich zajmował po trzy sekundy na skali czasu. Ze względu na to, że aktywna jest opcja Przyklejanie obiektów, kolejne umieszczanie bloczków nie będzie trudne. Program sam zadba o to, aby kolejne bloczki znalazły się blisko obok siebie bez żadnych przerw i nie pokrywały się wzajemnie. Jeżeli bloczki nie mieszczą się w oknie projektu to, aby obejrzeć niewidoczne części, należy przemieścić kursorem myszki suwak znajdujący się w dolnej części okna projektu;

l) aby zobaczyć podgląd utworzonego projektu należy wcisnąć lewy klawisz myszki nad skalą czasu - pojawi się suwak w kształcie rombu. Przesuwając myszką w prawo lub w lewo otrzymamy podgląd w punkcie czasowym wskazanym przez ten suwak;

m) należy zapisać projekt o nazwie Lekcja 2 (patrz lekcja 1).


Lekcja 3 - Efekty przejść

W poprzedniej lekcji został utworzony projekt składający się z trzech obrazków. Przejścia pomiędzy nimi były "ostre" tzn. Jeden obrazek następował natychmiast po drugim. Aby utworzyć sekwencję bardziej atrakcyjną dla oka, należy zastosować efekty przejść. W tym celu należy:

a) otworzyć projekt z poprzedniej lekcji o nazwie Lekcja 2;

b) umieścić kursor myszki nad środkowym bloczkiem (Obrazek03.jpg) i wcisnąć lewy klawisz myszki;

c) przytrzymując lewy klawisz myszki należy przeciągnąć bloczek w dół na warstwę V1A;

d) podobnie pozostałe dwa bloczki należy przeciągnąć na warstwę V1B;

e) obustronnie należy rozciągnąć bloczek z warstwy V1A tak, aby jego początek zachodził na koniec pierwszego bloczka a jego koniec - na początek trzeciego bloczka. Automatycznie powstaną dwa małe bloczki znajdujące się pomiędzy warstwami V1A i V1B reprezentujące efekty przejść pomiędzy obrazkami;

f) aby zmienić efekty przejść należy dwukrotnie kliknąć nad bloczkiem reprezentującym efekt przejścia. Pojawi się okno Wybór efektu przejścia;

g) należy rozwinąć wybraną grupę efektów przejść i kliknąć na wybraną pozycję. W lewej części okna pojawi się podgląd efektu przejścia wykonywany z szybkością ustaloną przez długość bloczka reprezentującego efekt przejścia (w tym przykładzie równym 1-dnej sekundzie). Po wybraniu efektu przejścia należy kliknąć klawisz Akceptuj;

h) należy powtórzyć czynności f-g w celu wybrania efektu dla drugiego efektu przejścia;

  1. można teraz wykonać podgląd (poprzez wciśnięcie lewego klawisza myszki nad skalą czasu okna projektu) po całej skali czasu;

j) utworzony projekt należy zapisać pod nazwą Lekcja 3.


Lekcja 4 - Pierwszy film

Lekcja ta pozwoli nam na wygenerowanie prostego filmu z użyciem pojedynczych obrazków z zastosowaniem efektów przejść. Należy wykonać następujące czynności:

a) należy odczytać projekt z lekcji drugiej o nazwie Lekcja 3;

b) dwa obrazki znajdujące się na warstwach V1A i V1B należy rozmieścić tak, jak to pokazano na rysunku (długość bloczków ustalona na trzy sekundy) a trzeci skasować (aby to uczynić wystarczy zaznaczyć bloczek do skasowania, a następnie kliknąć w ikonę Kasowanie zaznaczonych elementów;

c) należy zaznaczyć wszystkie bloczki znajdujące się na warstwach. W tym celu należy przytrzymać klawisz CTRL i pojedynczo kliknąć na każdym z bloczków;

d) po kliknięciu lewego klawisza myszki w ikonę Kopiuj do schowka [image] oraz Wklejenie elementów ze schowka [image] należy umieścić kursor myszki za prawą krawędzią bloczka znajdującego się na warstwie V1A;

e) po kliknięciu lewego klawisza myszki pojawią się skopiowane ze schowka kolejne bloczki;

f) górny obrazek należy przemieścić na dolną warstwę a dolny obrazek - na górną warstwę. Następnie należy je dosunąć do prawej krawędzi bloczków znajdujących się po lewej stronie tak, jak to pokazano na rysunku;

g) czynności opisane w punktach d-e należy powtórzyć 4 razy po zaznaczeniu 4-rech bloczków i skopiowaniu ich do schowka tak aby zachować ciągłość (patrz c i d);

f) projekt zawiera 10 efektów przejść o łącznej długości 30-stu sekund. Można teraz skorzystać z generatora losowego efektów przejść. Aby zostały wygenerowane losowo wszystkie efekty przejść, należy wybrać opcję Generuj losowy efekty przejścia z menu kontekstowego okna projektu (pojawiającego się po wciśnięciu prawego klawisza myszki);

g) aby wygenerować film należy kliknąć w ikonę Generuj film. Pojawi się okno konfiguracyjne Własności generowanego filmu;

h) należy wybrać opcję Animacji z grupy Generowanie (w celu wygenerowania samej animacji bez dźwięku). Należy wybrać parametry takie jakie pokazano na rysunku (rozmiar: 320 x 240, głębia kolorów: 24-bity, częstotliwość: 20, format pliku: Microsoft AVI, obszar linii czasu: cały projekt);

i) należy wskazać plik wyjściowy AVI. W tym celu trzeba wcisnąć klawisz Wskaż plik wyjściowy. Pojawi się standardowe okno dialogowe zapisu pliku. Po wpisaniu nazwy pliku i zaakceptowaniu wyboru, jesteśmy przygotowani do rozpoczęcia generowania filmu;

j) należy uaktywnić opcję Otwórz film po zakończeniu generowania, aby automatycznie otwarło się okno podglądu filmu po zakończeniu jego generowania;

k) wcisnąć klawisz Generuj. Pojawi się okno Generowanie filmu;

j) pasek postępu wskazuje aktualny postęp generowanego filmu. Poniżej wyświetlony jest przybliżony czas zakończenia całej operacji;

Uwaga:

W przypadku generowania długiego filmu nie należy uaktywniać innych aplikacji. Aktywnym oknem powinno zostać okno Generowanie filmu.

k) po zakończeniu generowania filmu pojawi się okienko Odtwarzacz z wygenerowanym filmem. Aby obejrzeć efekt pracy należy wcisnąć przycisk Odtwarzaj;

l) cały projekt należy zapisać pod nazwą Lekcja 4;

m) ponieważ pojedyncze klatki nie zostały skompresowane, odtwarzanie filmu mogło nie być płynne. Aby uzyskać płynność, należy w oknie Własności generowanego filmu wybrać kompresor poprzez wciśnięcie klawisza Zmień kompresor... a następnie wybrać codec np. Cinepak Codec by Radius.


Lekcja 5 - Animacja z dźwiękiem

Lekcja ta pozwala na zapoznanie się z czynnościami niezbędnymi w celu wygenerowania filmu zawierającego ścieżkę wideo i audio. Wykonać należy następujące czynności:

a) otworzyć poprzedni projekt o nazwie Lekcja 4;

b) do listy zasobów dołączyć plik dźwiękowy o nazwie Audio01.wav klikając w ikonę Otwarcie zasobów a następnie wybierając wymagany plik z folderu Lekcje;

c) otworzyć okno Odtwarzacz klikając dwukrotnie nad opisem pliku Audio01.wav w oknie Lista zasobów;

d) należy wcisnąć klawisz Odtwarzaj po czym można zaznaczyć wybrany fragment muzyki. Projekt o długości 30-stu sekund wymaga wybrania fragmentu muzyki o takiej samej długości. Klawiszem Zaznacz początek [image] należy zaznaczyć początek interesującego nas fragmentu dźwięku, a klawiszem Zaznacz koniec [image] zaznaczamy jego końcowy fragment;

e) zaznaczony fragment dźwięku należy przeciągnąć do okna projektu na warstwę dźwięku oznaczoną jako A1. Aby to zrobić należy najechać kursorem myszki nad oknem Odtwarzacz, kliknąć lewym klawiszem myszki i nie zwalniając przemieścić kursor myszki nad warstwą audio okna projektu. Po puszczeniu klawisza myszki pojawi się bloczek reprezentujący wybrany przez nas fragment dźwięku;

f) dosunąć bloczek na początek skali za pomocą myszki;

g) w tym momencie jest gotowy projekt, z którego można wygenerować film zawierający ścieżkę video i audio. Nie ma jednak pewności, czy wybrany wstępnie fragment dźwięku dokładnie odpowiada użytkownikowi. Także można sobie życzyć, aby wraz z początkiem odtwarzania filmu dźwięk był coraz głośniejszy, a podczas zakończenia zakończenia został łagodnie wyciszony. W tym celu wykonamy kolejne czynności;

h) należy umieścić kursor nad warstwą audio A1 i wcisnąć dwukrotnie lewym klawiszem myszki. Pojawi się menu z którego należy wybrać opcję Wykres;

i) otrzymany został w ten sposób zwizualizowany dźwięk. Można teraz wykonać podsłuch wybranego fragmentu bezpośrednio na linii czasu. Należy postępować podobnie jak w przypadku podglądu obrazu -wcisnąć lewy klawisz myszki nad linią czasu. Dodatkowo jednak należy przytrzymać klawisz CTRL. Przeciągając myszką w prawo i w lewo otrzymany zostanie przesłuch dźwięku. Dodatkowo patrząc na wyświetlone próbki dźwięki można dokładnie określić pozycję bloczka dźwiękowego, od której ma rozpocząć się generowany film;

j) aby to zrobić należy wybrać opcję Cięcie bloczka na dwie części [image] po otwarciu menu kontekstowego okna projektu. Pojawi się kursor . Należy ustawić go tak, aby jego pionowa kreska wskazywała pozycję, w której trzeba rozdzielić bloczek na dwie części;

k) po kliknięciu lewego klawisza myszki, bloczek audio zostanie rozdzielony na dwa odrębne bloczki;

l) usunąć bloczek audio znajdujący się po lewej stronie i dosunąć ten, który pozostał do punktu zerowego skali czasu;

m) przemieścić kursor myszki nad czerwoną poziomą linią i kliknąć lewym klawiszem myszki;

n) pojawi się czerwony kwadrat. Można teraz przeciągnąć pierwszy czerwony kwadrat do dolnej części bloczka audio. W ten sposób wygenerowany film będzie zawierał ścieżkę dźwiękową, której natężenie dźwięku będzie rosło od punktu zerowego skali czasu aż do punktu wskazanego przez drugi czerwony kwadrat;

o) wykonać podobne czynności opisane w punktach m-n w części końcowej bloczka audio;

p) można przystąpić do wygenerowania filmu. Wciśnąć ikonę Generuj film;

r) ustawić opcję Animacji i dźwięku w grupie Generowanie. Pozostałe opcje ustalmy podobnie jak w poprzedniej lekcji;

s) przełączyć na zakładkę Dźwięk. Ustalić parametry dźwięku na 22050 Hz, 16 bitów - stereo, bez kompresji, 1 sekunda;

t) uaktywnić opcję Otwórz film po zakończeniu generowania;

u) wciśnąć klawisz Generuj;

w) zostanie otwarte okno Generuj film. W trakcie generowania filmu można otworzyć podgląd pojedynczych klatek tak, aby upewnić się, czy generowany jest właściwy fragment filmu. W tym celu należy wcisnąć jednocześnie klawisze CTRL i SPACJA;

  10. po wygenerowaniu się filmu, zostanie otwarte okno Podgląd zawierające nowo utworzony film. Można go teraz obejrzeć wciskając klawisz Odtwarzaj;

y) zapiszmy projekt pod nazwą Lekcja 5.


Lekcja 6 - Napisy - Edytor Tekstu

Lekcja pozwala na wstępne zaznajomienie się z wbudowanym modułem Edytor Tekstu. Aby przygotować planszę z napisami "Mój pierwszy film" należy wykonać następujące czynności:

a) otworzyć Edytor Tekstu wybierając opcję Otwórz Edytor Tekstu z menu kontekstowego okna Lista zasobów;

b) kliknąć w ikonę Wstaw nowy tekst ;

c) zastąpić tekst "Edytor Tekstu" na "Mój";

d) ustalić rozmiar czcionki na 66 oraz wybierać czcionkę "Arial CE" z rozwijanego menu Czcionka;

e) wybierać kolor czcionki za pomocą rozwijanej listy Kolor tekstu;

f) ustalić także parametry grupy Cień, Obwódka i Tło - kolor czarny;

g) kliknąć ponownie w ikonę Wstaw nowy tekst i przeciągnąć napis w dół, klikając lewym klawiszem myszki nad tekstem "Mój";

h) zmienić napis na "pierwszy";

i) należy powtórzyć czynności z punktów g-h wpisując tym razem tekst "film";

j) zaznacyć tekst "Mój" klikając lewym klawiszem myszki nad nim i wycentrować w poziomie klikając w ikonę Wyrównaj elementy w osi poziome [image] ;

k) czynności opisane w poprzednim punkcie należy zastosować dla pozostałych napisów;

l) zapisać nowo utworzoną planszę na dysk o nazwie Napis wybierając opcję Zapisz z menu Plik (domyślnym rozszerzeniem Edytora Tekstu jest PTE);

m) aby zaprojektowana plansza znalazła się w oknie Lista zasobów należy wybrać opcję Eksportuj / Wstaw do listy zasobów z menu Plik;

n) Po zamknięciu Edytora Napisów w oknie Lista zasobów, powinna znaleźć się ikona symbolizująca naszą planszę;

o) przeciągnąć ją do okna projektu na warstwę V1b i zapisać projekt pod nazwą Lekcja 6;

p) można zrobić podgląd wciskając lewy klawisz myszki nad skalą czasu.


Lekcja 7 - Płynące napisy

Ta lekcja pozwala na zdobycie umiejętności, niezbędnych w celu tworzenia ruchomych napisów. W tym celu wykonajmy następujące czynności:

a) otwórzyć poprzedni projekt o nazwie Lekcja 6;

b) wstawić dwa bloczki w czarnym kolorze klikając dwukrotnie lewym klawiszem myszki nad warstwą V1A i wybierać opcję Wstaw jednolity kolor użytkownika... Zostanie otwarte się okno Wybór koloru;

c) należy kliknąć dwukrotnie lewym klawiszem myszki nad czarnym kwadratem (wybrany zostanie kolor czarny);

d) powtórzyć czynności opisane w poprzednim punkcie dla drugiego bloczka;

e) ustalić położenie bloczków tak jak na rysunku;

f) oba efekty przejść należy wybierać o nazwie Przepychanie w górę;

g) należy wykonać podgląd. Przesuwając suwak podglądu z lewej do prawej, w oknie Podgląd, otrzymana zostanie przesuwająca się plansza z dołu do góry z napisem "Mój pierwszy film";

h) zapisać projekt o nazwie Lekcja 7.

Uwaga:

Tak przygotowany tekst należy stosować w filmach o rozdzielczości 720 x 576. Bowiem w tej rozdzielczości uzyskamy tekst o najwyższej jakości. Jeżeli potrzebna jest plansza z tekstem o niższej rozdzielczości należy w Edytorze Tekstu:

  • wybrać opcję Eksportuj / Zapisz na dysk jako obrazek;

  • zapisać planszę jako plik graficzny np. z rozszerzeniem BMP;

  • w dowolnym programie graficznym obrobić zapisaną grafikę (zmniejszyć jej rozmiar do wymaganej) i załadować ją później do okna Lista zasobów.

Można także zastosować inne efekty przejść w celu uzyskania płynnego pojawiania się napisów. W niektórych przypadkach trzeba będzie zaznaczyć opcję Odwrotne wykonywanie efektu w oknie Wybór efektu przejścia.


Lekcja 8 - Napisy na tle grafiki

W tej lekcji użytkownik zapozna się z umieszczaniem napisów na tle grafiki. Wykonać należy następujące czynności:

a) wczytać poprzedni projekt o nazwie Lekcja 7;

b) załadować Obrazek05.jpg do okna Lista zasobów;

c) przenieść obrazek na warstwę V2 i umieścić go tak jak pokazano na rysunku;

d) umieścić kursor myszki nad bloczkiem reprezentującym ostatnio załadowany obrazek i kliknąć dwukrotnie lewym klawiszem myszki;

e) wybrać opcję Kluczowanie...;

f) wybrać opcję Warstwie 1 w grupie Kluczuj na;

g) wybrać kolor czarny klikając dwukrotnie nad czarnym kwadratem;

h) po wykonaniu podglądu pojawi się przesuwający się napis na tle obrazka;

i) zapisać projekt pod nazwą Lekcja 8.

Uwaga:

Jeżeli w oknie podglądu nie pajawi się przesuwający napis na tle obrazka, należy sprawdzić parametry konfiguracyjne programu. W tym celu należy:

a) otworzyć okno Opcje programu wybierając polecenie Opcje programu z menu Okna;

b) jeżeli pojawił się czerwony wykrzyknik należy nad nim kliknąć lewym klawiszem myszki i zastosować się do wyświetlonych wskazówek.


Lekcja 9 - Stop klatka

W tej lekcji utworzymy film, którego obraz zatrzyma się podczas gdy dźwięk będzie trwał dalej (efekt stop-klatki). Wykorzystane zostanie okno zasobu, przeznaczone do wyłapywania pojedynczych klatek animacji oraz wychwytywania półobrazów. Należy wykonać następujące czynności:

a) załadować do okna Lista zasobów plik Film06.avi z folderu Lekcje\Sekwencje;

b) otworzyć załadowaną animację klikając lewym klawiszem myszki w ikonę Otwórz zaznaczone zasoby z listy [image] po uprzednim zaznaczeniu animacji w oknie Lista zasobów;

c) klikając lewym klawiszem myszki w dolnej części otwartego okna należy, za pomocą suwaka, wybrać potrzebną klatkę  w tym przykładzie ostatnią;

d) wybrać opcję Utwórz duplikat z menu kontekstowego;

e) pojawi się okno zasobu z pojedynczą klatką;

f) wybrać opcję Zapisz jako i zapisać jako StopKlatka.jpg;

g) przeciągnąć utworzoną stop-klatkę do okna Lista zasobów (należy kliknąć lewym klawiszem myszki nad oknem nowo utworzonej klatki i przytrzymując ten klawisz należy przemieścić kursor myszki nad oknem Lista zasobów, a następnie zwolnić klawisz myszki);

h) zamknąć oba ostatnio otworzone okna;

i) wstawić animację i stop-klatkę na warstwę V1A;

j) wstawić drugi raz animację tym razem na warstwę V1B;

k) wykonać podgląd -efekt przejścia będzie wykonywany z ostatniej nieruchomej klatki do płynnie wykonywanej animacji.


Lekcja 10 - Finał

W tej lekcji nie będą opisane czynności, jakie należy wykonać w celu wygenerowania filmu finałowego. Należy ją traktować jako sprawdzian umiejętności zdobytych w poprzednich lekcjach. Poprawnie wykonane lekcje 1 - 9 w pełni wystarczą do stworzenia filmu z lekcji 10-tej, bowiem zawiera ona większość cech charakterystycznych dla poprzednich projektów.

Sam film posiada ścieżkę animacji i dźwięku. Animacja jest prawie w całości ruchoma z wyjątkiem końcowej części, w której zostosowano stop-klatkę wraz z regulacją przezroczystości warstwy V2, nieopisanej w poprzednich lekcjach, co będzie przedstawione w końcowym opisie lekcji. Animacja kończy się napisem "Koniec" z zastosowaniem efektu przejścia "Wir". Dźwięk jest wybranym fragmentem z pliku Audio01.wav, który podczas rozpoczęcia odtwarzania filmu zostaje zgłośniony a podczas zakończenia filmu zostaje ściszony.

Aby wykonać regulację przeniku na warstwie V2 należy:

a) wybrać opcję Wykres po dwukrotnym kliknięciu lewego klawisza myszki na warstwie V2;

b) nad czerwoną linią należy umieścić kursor myszki i pojedynczo kliknąć lewym klawiszem myszki;

c) pojawi się czerwony kwadracik;

d) za pomocą myszki może on zostać przeciągnięty w górę lub w dół. Położenie górne oznacza całkowite przesłonięcie obrazu przez obrazek z tej warstwy. Położenie dolne oznacza całkowitą przezroczystość obrazka z warstwy V2.

W celu sprawdzenia czy utworzony samodzielnie film jest zgodny z oczekiwanym, należy obejrzeć film Final.avi z folderu Lekcje \ Sekwencje.


Lekcja 11 - Przygotowanie filmu na płytę CD

W tej lekcji opisane zostaną czynności potrzebne do wygenerowania filmu, który po zgraniu na płytę CD będzie można odtwarzać na komputerze PC.

Do listy zasobów należy załadować wcześniej wychwycony film z kamery cyfrowej DV o rozdzielczości 720x576. Następnie należy przeciągnąć lewym klawiszem myszki ikonkę reprezentującą wczytany film do okna projektu na warstwę V1a. Po przesunięciu nowo powstałego bloczka do lewej skrajnej pozycji na linii czasu można przystąpić do przygotowania filmu.

Po wciśnięciu przycisku Generuj film należy zdefiniować parametry: rozdzielczość 720x288 (połowa wysokości filmu źródłowego), częstotliwość odtwarzania 25, głębię kolorów 24 bity (16,7 mln kolorów), opcję Animacje i dźwięk z sekcji Generowanie, Cały projekt z sekcji Obszar linii czasu, format pliku Microsoft AVI, rozmiar pliku 650 MB. Następnie należy wybrać odpowiedni kodek wideo. Po wciśnięciu przycisku Zmień kompresor ukaże się lista dostępnych kodeków wideo. Należy wskazać DivX ;-) Low-Motion, po czym wcisnąć przycisk Konfiguruj. Po ukazaniu się nowego okienka należy zmienić położenie dwóch suwaków: górny przesunąć w lewo do końca (Smoothness: 0), a dolny maksymalnie w prawo (Data Rate: 6000).

Po zaakceptowaniu tego wyboru należy wskazać lokalizację i nazwę pliku wyjściowego (np. C:\Projekty\NaszFilm.avi). Należy jeszcze zaznaczyc opcję Otwórz film po zakończeniu generowania, częstotliwość dźwięku 22 050 Hz, format dźwięku 16 bitów mono i ramkę 1 sekunda.

Po sprawdzeniu czy ustawione parametry są zgodne z wymaganymi należy wcisnąć przycisk Generuj. Po zakończeniu generowania filmu możemy go obejrzeć. Będzie on zadawalającej jakości. Tak przygotowane nagranie można zapisać na płycie CD dołączając program Odtwarzacz filmów z pakietu Koala Film Studio 2 DV, dzięki któremu będzie można odtwarzać film. Przy tak ustalonych parametrach generowanego filmu można otrzymać nagranie o długości do 70 minut, mieszczące się na płycie CD o pojemności 700 MB.